Web Connected Modules

The following web connected modules are controlled by the license [L102839] Suite8 WebConnect under Setup → Miscellaneous → License → V8 Sublicenses → Suite8 Software Interfaces.

  • Suite8 Homepage

  • CCM Homepage

  • Mobile reporting

  • myStay


Secure Cookies

Secure cookies must be used in order to comply with the PCI PA-DSS Data Security standard issued by the PCI Security Standards Council.

The functionality for using secure cookies is controlled in the web.config file by the parameter requireSSL="true"; this parameter is set to 'true' by default.

The web.config file is usually located in the Suite8 Homepage configuration directory c:\inetpub\wwwroot\V8Client.

Test Environment

In a test environment where there is no SSL installed then the parameter requireSSL must be set to "false".

If SSL is not installed and the parameter not set to false then the following error message will be displayed upon login:


Security Settings

Suite8 Homepage is configured by default to prevent script injection attacks and the user input for certain characters is disabled.

For example if a user enters characters such as: "<", the following error might occur:

’potentially dangerous Request.Form value was detected from the client’

A property may reconfigure this behavior either for certain pages by using the following directive:

<%@ Page validateRequest="false" %>

or changing this for the entire application by changing the Web.config file to include the following:

<configuration>

<system.web>

<pages validateRequest="false" />

</system.web>

</configuration>

More details about validations can be found under the following address: http://www.asp.net/learn/whitepapers/request-validation/


Installation

The installation is performed via the install shield which guides through the installation step by step.

Prerequisites

  • Suite8 Version 8.9.5.x

  • A valid license code for Suite8 Homepage or Suite8 Web Connect

  • A valid license code for myccm home page. This is only required when using CCM and is included in the Suite8 Web Connect License

  • Installation of Suite8 XML Interface

  • An open port on the web booking server, allowing access for the web page to the XML interface (please refer to the configuration details for the XML Interface and the XML Interface Installation Guide, Suite8 Homepage installation, activates the license for the XML Interface internally)

  • SSL certificate (please refer to the document: How to install SSL certificate)

  • MVC 3.0 for the IIS hosting the S8 WebConnect.

  • Fidelio Server has to be up and running (for Email Sending)

XML Interface Server

Please refer to the Hardware requirements for Suite8 clients and the Installation Guide for the XML Interface for all details on the configuration of the XML Interface Server, the following is required on the XML Server to run Suite8 Homepage:

  • Microsoft Internet Information Server V 5.0 or higher or Apache 1.3.x

  • MSXML 4.0 or 6.0 (preinstalled since XP, please check the version number)

  • Microsoft .net frame work

Web Booking Server

The web page is hosted on the web booking server. this requires:

  • Microsoft Internet Information Server v 5.0 or higher

  • Microsoft .Net Framework 4.0


About Suite8 Homepage

Suite8 Homepage is a web booking engine for Suite8 allowing properties selling rooms, advertise specials and present their property on their own Homepage. Giving direct access for both existing and new customers to immediate availability requests/deductions and reservation in Suite8.

The rate and room type availability for Suite8 Homepage is configurable via Suite8 setup.

Suite8 Homepage is available for front office offering online reservation and availability request as well as user registration and profile match.

It does not include offline availability or GDS connectivity.

For Conference Management, allowing properties offering their customers or even new customers entering a booking via the properties Homepage.

The booking with basic information such as arrival, departure date, number of attendees, status will be transferred to Suite8 Event Management. The fields No. of Function Spaces, Seating Arrangement and Package will be transferred to the booking notes. Specific details about the booking can be entered in the Notes field and will also be transferred to the booking notes.

The option My Account which is used to log in to Suite8 Homepage is available on top of all the pages and allows log in at any time of the reservation process.


How to access My Account

  1. Open the Suite8 Homepage on the browser, for example, on a localhost connection the address would be: http://localhost/V8Client/inquiry.aspx

The menu options are displayed at the top of the screen.

  2. Click My Account to display the Login screen.

  3. Enter your User Name or Email and Password.

  4. Click Login; your name is now displayed on the menu bar.

  5. Click My Account.


Allow booking without registration

Customers can make a reservation via the Suite8 Homepage without having to login or to register and create an account. A profile is automatically created with the entered email address, but with no web login credentials.

If the guest creates another booking without registration and the same name and address are entered then the profile in Suite8 will be merged with the existing one to avoid duplicates. Profile match and merge rules need to be configured.

How to book without registering

  1. Once the reservation details have been completed and any additional services have been added the Login /Registration page is displayed with three options for registration:

  • Existing Guest

  • New Guest

  • Without Registration

  2. Select Without Registration and click the Continue button.

  3. The Registration screen is displayed; complete all the Personal data, Address and Payment data information as per the Without Registration Details table below.

Mandatory information is indicated with a

  4. Click the Save Changes button to save the details.

The final reservation page is displayed; review the shopping cart and enter any reservation notes if required.

  5. Complete the reservation in the normal manner

Without Registration Details

Field

Definition

Personal Data

Email (primary)

The guest's main email address. As the email address is used for logging in to the Suite8 Homepage then the email address must be unique.

An error message is displayed advising that the user name or email already exists in the system if the user tries to register with an email address which is already used for a Suite8 Homepage logon.

Note: Duplicate email address's are not allowed on the Suite8 Homepage.

User Name

The used name to access the Suite8 Homepage. This is automatically completed with the guests email address, but can be changed if required.

Note: User Name is not displayed when Without Registration is selected.

Password

The password to access the Suite8 Homepage.

Note: Password is not displayed when Without Registration is selected.

Re-type password

The user password entered a second time.

Note: Re-type password is not displayed when Without Registration is selected.

Language

The guest's language; select from the list displayed.

Nationality

The guest's nationality; select from the list displayed.

First Name

The guest's first name.

Last Name

The guest's last name.

Address

Gender

Indicates if the guest is male or female.

Greeting

Select the appropriate greeting from the list displayed.

Street 1

First line for the street address.

Street2

Second line for the street address if required.

City

The name of the town or city.

ZIP

The postal or ZIP code

Country

Select the country from the list displayed.

Phone No

The guest's telephone number.

Corporate ID

The corporate ID number .

Note: If there is more than one company linked to the guest profile then the corporate ID number of the company which was linked first is displayed.

Note: Corporate ID is not displayed when Without Registration is selected.

Payment Data

Credit Card Type

Select the credit card type from the drop-down list.

Credit Card Number

The credit card number.

Expiry Date

The expiry date of the credit card.

Cardholder Name

The name on the credit card.

Guest Picture

Select your picture.

Only JPEG files are supported

A guest can add a picture to their Suite8 Homepage user profile by clicking the Browse button and selecting a picture from their local computer.

Note: The display of the Guest Picture section is controlled by the parameter Manage Profile Picture under Setup → Configuration → Suite8 Homepage → Set up → Tab 1.

Note: The Guest Picture section is not displayed when Without Registration is selected.

  • The possibility to book a reservation without registering is controlled by the parameter Allow booking without registration under Setup → Configuration → Suite8 Homepage → Set up → Tab 1.

  • Profile match and merge rules can be configured via the option Local Profile Merge Setup under Setup → Configuration → Miscellaneous → Profile Merge Setup.


How to register for Suite8 Homepage

  1. Open the Suite8 Homepage on the browser, for example, on a localhost connection the address would be: http://localhost/V8Client/inquiry.aspx

The menu options are displayed at the top of the screen.

  2. Click Register to display the Registration screen.

  3. Complete all the General Data information as per the General Data table below.

Mandatory information is indicated with a

  4. Complete all the Preferences as per the Preferences table below.

  5. Click the Register button to complete the registration.

The guest is logged in and the Suite8 Homepage Inquiry screen is displayed with the guest's name displayed at the top of the screen.

Note: An error message is displayed if the user name and /or email already exists in the system: "User name and/or email already exists in the system. Please try again by choosing a different user name. If you are a returning guest and this is your first online registration, please Request login credentials.

Registration - General Data Tab

Field

Definition

Personal Data

Email (primary)

The guest's main email address. As the email address is used for logging in to the Suite8 Homepage then the email address must be unique.

An error message is displayed advising that the user name or email already exists in the system if the user tries to register with an email address which is already used for a Suite8 Homepage logon.

Note: Duplicate email address's are not allowed on the Suite8 Homepage.

User Name

The used name to access the Suite8 Homepage. This is automatically completed with the guests email address, but can be changed if required.

Note: User Name is not displayed when Without Registration is selected.

Password

The password to access the Suite8 Homepage.

Note: Password is not displayed when Without Registration is selected.

Re-type password

The user password entered a second time.

Note: Re-type password is not displayed when Without Registration is selected.

Language

The guest's language; select from the list displayed.

Nationality

The guest's nationality; select from the list displayed.

First Name

The guest's first name.

Last Name

The guest's last name.

Address

Gender

Indicates if the guest is male or female.

Greeting

Select the appropriate greeting from the list displayed.

Street 1

First line for the street address.

Street2

Second line for the street address if required.

City

The name of the town or city.

ZIP

The postal or ZIP code

Country

Select the country from the list displayed.

Phone No

The guest's telephone number.

Corporate ID

The corporate ID number .

Note: If there is more than one company linked to the guest profile then the corporate ID number of the company which was linked first is displayed.

Note: Corporate ID is not displayed when Without Registration is selected.

Payment Data

Credit Card Type

Select the credit card type from the drop-down list.

Credit Card Number

The credit card number.

Expiry Date

The expiry date of the credit card.

Cardholder Name

The name on the credit card.

Guest Picture

Select your picture.

Only JPEG files are supported

A guest can add a picture to their Suite8 Homepage user profile by clicking the Browse button and selecting a picture from their local computer.

Note: The display of the Guest Picture section is controlled by the parameter Manage Profile Picture under Setup → Configuration → Suite8 Homepage → Set up → Tab 1.

Note: The Guest Picture section is not displayed when Without Registration is selected.

Registration - Preferences Tab

Field | Definition
General Preferences
Newspapers | Select which newspapers the guest should receive; multiple newspapers can be selected.
Specials | Select which specials are required, for example, extra towel.
Mailing Preferences
Receive specials and information by regular mail | Select this option if the guest should receive mailing information by regular mail.
Receive specials and information by Email | Select this option if the guest should receive mailing information by email.

  • The display of the Guest Picture section on the registration page is controlled by the parameter Manage Profile Picture under Setup → Configuration → Suite8 Homepage → Set up → Tab 1. The maximum height and width are defined in the setup; the recommended maximum is 220 x 362.


How to reset your password

A guest who has forgotten their password can reset their Suite8 Homepage password and receive a new password via email. As passwords are not stored then a new password is generated when the customer requests a password.

  1. Open the Suite8 Homepage on the browser, for example, on a localhost connection the address would be: http://localhost/V8Client/inquiry.aspx

The menu options are displayed at the top of the screen.

  2. Click My Account to display the Login screen.

  3. Click Forgot Password.

The Forgot your password or initiate one? screen is displayed.

  4. Enter your User Name or Email and click the Request Password button.

A message is displayed


Business Conditions

The properties terms & conditions are available to be downloaded by selecting Terms & Conditions on the reservation booking review page when making a room reservation and on the booking data page when making a conference booking.

The default business conditions pdf file is called AGB.pdf and stored in the folder PDF which is usually located under C:\Inetpub\wwwroot\V8Client.

Multilingual Business Conditions

To use multilingual business conditions, the folder PDF should contain the default file AGB.pdf and the files with the name agbLANGUAGE_CULTURE.pdf for every language, for example:

AGBde-DE.pdf for German

AGBEn-GB.pdf for English

AGBfr-BE.pdf for French

All supported values for language cultures specified in the global.asax can be used.

Note: If the file for the current language can not be found, the default file AGB.pdf is used.


My Account

My Account is made up of several sets of information each one displayed on a tab; the General Data tab is displayed by default.

The display of tabs on the Registration Page can be defined per property, possible tabs are:

  • Preferences - displays special requests entered on the Guest Profile, such as requested Newspapers, Pillows and the Mailing Preferences

  • Other Preferences (Guest Requests) - allows entering Guest Service Requests and with this submitting Requests valid for the Stay or general Maintenance Requests to the Property.

  • Reservations - displays history and future Reservations for the logged in guest

  • Table Reservations - displays table reservations for the logged in guest

  • Bonus Points - displays details of the Membership Schema for the logged in Guest, such as the Membership Number, Membership Type, Current Points and the Bonus Point Statement

  • Registered Events - displays details about future Event Registrations for the Guest

  • Allotments - the Agent linked to the Corporate Id under 'Pickup Agent' is allowed to view the Tab 'Allotments' under My Account on Suite8 Homepage and can pick up rooms from a Block Reservation.

  • Profile Custom Page - custom page on which to display information as determined by the property.

  • The tabs displayed on the My Account page are controlled by the options available in the Registration panel under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.


Preferences

The preferences tab displays special requests entered on the guest profile, such as, preferred distribution, newspapers and mailing preferences.

The preferences screen consists of General Preferences and Mailing Preferences.

If guest service requests have been defined then the button Other Preferences is available. This displays the Guest Requests screen which may be used to submit a guest service request, see: Guest Requests.

Note: The Other Preferences button is not displayed if no guest requests have been configured for Suite8 Homepage.

  • The display of the Preferences tab on the My Account page is controlled by the option Show Preferences under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.

  • The display of the option Other Preferences on the Preferences tab on the My Account page is controlled by the option Show Other Preferences under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.


Guest Requests

On the Suite8 Homepage a guest can submit a request such as requesting that a hotel brochure be sent or that the hotel contact them. This request creates an activity in Suite8 which is automatically assigned to the manager on duty.

Guest requests can be displayed on a localhost connection: http://localhost/V8Client/GuestRequestActivities.aspx

Properties have to replace localhost with their web site address.

Key Points

  • The customer can sign in to their Suite8 Homepage and submit the request the Preferences tab on My Account or via a URL address supplied directly by the property.

  • Activities defined as web enabled are displayed on the Suite8 Homepage.

  • Activity requests can only be sent once the guest has either signed in or provided the required minimum registration details.

  • Activities created via Suite8 Homepage are automatically assigned to the manager on duty who then is responsible to distribute the activity to the responsible employee.

Note: If no Manager on Duty is assigned then the activity is not displayed on the task and activities list in Suite8.

Activity display on Suite8 Homepage requires the following setup

  • Activities to be displayed on the Suite8 Homepage are defined via the option Task and Activity Types under Setup → Configuration → CRM.

  • The activity must be marked as web enabled with a web description; a picture can be linked if required.

  • Activation of parameter Assign Manager on Duty under Setup → Configuration → Global Settings → Generic → Generic 3 tab.

  • If the parameter hotel.GuestActivityShowasCode = "FRE"; is activated in the global.asax file then the option Show as is completed on each activity with the defined default value.

What do you want to do

How to enter a guest request via My Account

  1. Under My Account click the Preferences tab.

  2. Click the Other Preferences button.

  3. Select the required guest requests and click the Submit button.

A message is displayed that "Your requests are successfully entered."

  4. Click the Close button; the Suite8 Homepage screen is displayed.

How to enter a guest request via the URL link

  1. Open the localhost connection using the address: http://localhost/V8Client/GuestRequestActivities.aspx

  2. The Login / Register page is displayed, there are three registration options available:

  • Existing Guest

  • New Guest

  • Without Registration

  2. Once the appropriate registration option has been completed the Guest Requests page is displayed.

  3. Select the required guest requests and click the Submit button.

A message is displayed that "Your requests are successfully entered."

  4. Click the Close button; the Suite8 Homepage screen is displayed.


How to unsubscribe from newsletters

The options to subscribe or unsubscribe from newsletters received either by regular mail or email are defined under Mailing Preferences.

The guest can either sign in to their Suite8 Homepage and select the Preferences tab under My Account and make the necessary selections or if a "Change mailing preferences link' is provided in the newsletter itself they can click the link to display the Mailing Preferences page without logging in and unsubscribe directly.

Key Points

  • To unsubscribe from newsletters the mailing options on the preferences tab under My Account must be cleared.

  • In a newsletter a link can be provided which displays the guest's mailing preferences directly without requiring login to the Suite8 Homepage.

  • No other page other than the Manage Mailing Preferences page can be accessed via the link sent in the email.

Unsubscribe functionality requires the following setup

  • The Suite8 Homepage address must be defined via the option Homepage URL under Setup → Configuration → Suite8 Homepage → Setup → Tab 1.

  • The report function MailingOptionHomepageURL must be added to the required Internal Editor Reports. This function accepts the Profile ID and the optional language culture: MailingOptionHomepageURL(ProfileID, [culture]). In order to insert this function as a link the following expression can be used:

@Hyperlink(MailingOptionHomepageURL(CONF_XCMS_ID, 'en-EN'), 'To unsubscribe from the Demo Hotel Newsletter click here').

The following example report is supplied with Fidelio Suite8:

  • 73015 Confirmation Pre Arrival - to make the link work, it is necessary to send this confirmation letter via email.

    @Hyperlink(MailingOptionHomepageURL(CONF_XCMS_ID, 'en-EN'), 'To unsubscribe from the Demo Hotel Newsletter click here')

What do you want to do

How to preview a letter with a link

  1. Complete the correspondence options.

  2. Click the E-Mail button.

The email is generated and the email dialog box displayed.

  3. To view the page that will be sent to the customer to unsubscribe, click the link.

The Suite Homepage is opened directly to the Manage Mailing Preferences page.

  4. The customer can then adjust the settings as required and click Update.

A message is displayed that the mailing preferences have been successfully updated.

  5. The browser can then be closed.

Note: No other pages or options can be accessed via the link sent in the email.

Note: The URL link created includes the URL address, profile ID, authentication token and language culture, for example:
http://localhost/v8client/MailingPref.aspx?profile=1551&token=XAI%2BxC2rvxg7%2B5LI1eJ7KkccPtg%3D&culture=en-EN


Reservations

The reservations tab displays details about both history and future reservations for the logged in guest.

  • The display of the Reservations tab on the My Account page is controlled by the option Show Reservations under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.


Registered Events

The registered events tab displays details about the future events that the guest is registered for.

Key Points

  • Book a new event

  • Cancel participation for an already registered event

What do you want to do?

How to register for/book a calendar event

  1. Login and access My Account. How?

  2. Click the Registered Events tab; a list of the events that you are registered for is displayed.

  3. Click the Book an event button.

The Events Calendar is displayed with a list of the upcoming calendar events.

Calendar events which can be booked are indicated with the Book button; the number displayed indicates the number of places still available.

  4. Click the Book button for the required event to display the Book Calendar Event screen.

  5. Enter the number of participants and any relevant notes.

  6. Click Book; the shopping cart is displayed with a summary of the booking details.

  7. Click Confirm; the shopping cart is displayed with the payment options and the booking Terms & Conditions.

  8. Select to Confirm the Booking and then click the Order with obligation to pay button.

  9. Click New Reservation or Log Out to return to the main Suite8 Homepage inquiry page or click Next to display the www.micros-fidelio.eu web site.

Note: Click [image] to remove an item from the shopping cart.

Note: If the calendar event has no more participant space available then the book button is not displayed.

How to delete a registered event

  1. Login and access My Account. How?

  2. Click the Registered Events tab to display a list of all the events that you are registered for.

Events which can be deleted are indicated with a Delete button.

  3. Locate the event and click the Delete button.

A message is displayed asking if you want to delete the selected event booking?

  4. Click OK.

  5. Click Save Changes button

Note: A booking can only be removed if there is no financial account linked to the event.

  • The display of the Registered Events tab on the My Account page is controlled by the option Show Registered Events under Setup → Configuration → Suite8 Homepage → Setup → Tab 2.

  • The possibility for a user to delete their participation at an event is defined per event by the option Allow participants removal in webconnect on the calendar event type under Setup → Configuration → CRM → Calendar Event Type → Web tab.


Custom Page

A profile custom page can be included in the My Account information as an additional tab on which to display information as determined by the property.

Properties can adjust the HTML by including other HTML files for execution, in order to display information as required by the property.

The custom html is executed via XML Interface, the Parameter is a profile ID.

This functionality requires the following:

  • Activate the parameter Show Profile Custom Page

  • Place the files S8HPCustomPage.htm and S8HPCustomPage.qry in the Suite8 HTML directory

How to display the custom page

  1. Under My Account click the Custom page tab.

The custom page supplied with the demo displays the following:

  2. Click the Save changes button to return to the main screen.

How to define the custom page to be displayed

It is also possible including other HTML files for execution in the 'S8HPCusom.Page.htm', for example:

Including the command: {html IRIS_YCEP_INFO.html?PARAM_xcms_id={parameter}}

Will include the file IRIS_YCEP_INFO.HTML which displays as follows:

  • The display of the Profile Custom Page tab on the My Account page is controlled by the option Show Profile Custom Page under Setup → Configuration → Suite8 Homepage → Setup → Tab 2.


How to make a reservation

The making of a reservation on the Suite8 Homepage is divided into six steps:

  1. Time Period and Number of Persons

  2. Choose Room

  3. Choose Addons

  4. Verify Booking

  5. Login/Registration

  6. Booking Confirmation

  1. Open the local host web site using the URL: http://localhost/V8Client/Inquiry.aspx

The Suite8 Homepage is displayed defaulted to the first step of the reservation process - Time Period and Number of Persons.

The availability for the next two months is displayed on the left and the reservation criteria on the right.

  2. Complete the reservation search criteria; the arrival and departure dates can be selected directly on the calendar.

  3. Click Search to display the Price and Packages Overview screen.

The available rooms and rates can be filtered as follows:

  • All - displays all available rates and rooms by default

  • Room only - displays rates which are room only

  • Special Arrangements

  • Last minute specials

  4. Click the relevant Book Now button to select the required room type and price.

  5. On the Additional Options screen select the check box next to any required additional options.

  6. Click Add to Cart.

The shopping cart lists the room booking, any additional options and the total to be paid.

Adding additional services to the shopping cart

At this point in the booking any of the following additional services can be added:

  • Room Reservation

  • Buy a Voucher

  • Reserve a Table

  • Book an Event

  7. Once any additional services have been added click Confirm; the registration page is displayed with three options for registration:

  • Existing Guest - If you are a registered customer, please login in here:

  • New Guest - If you are a new customer, please register if desired:

  • Without Registration - You can make a reservation without registration

  8. Enter your User Name or Email and Password, and then click Login.

The booking confirmation screen is displayed with a summary of the shopping cart; additional details regarding the booking can be entered in the Reservation Notes.

The payment options displayed are dependant upon how the Suite8 Homepage has been setup at the property.

  9. If it is mandatory to enter a credit card then select Use Existing Credit Card if the guest has a credit card already linked to their profile or enter a New Credit Card.

or

  10. Select Instant Payment to pay for the reservation through one of the available payment portals.

  11. Select to Confirm the Booking, and then click the Order with obligation to pay button.

If an Instant Payment portal was selected then the payment processing is completed in separate window.

  12. A summary of the booking including a confirmation number is displayed.

  13. Click New Reservation or Log Out to return to the main Suite8 Homepage inquiry page or click Next to display the www.micros-fidelio.eu web site.

Note: Click [image] to remove an item from the shopping cart.

Parameters directly related to making a reservation

  • hotel.CreditCardMandatory = false; // If CreditCardMandatory is false, credit cards are optional on the PMS registration page. It doesn't affect CCM registration

  • hotel.ValidateCreditCardOnReservation = false; // When true (default), Reservation creation won't be allowed if no valid credit card is attached to the profile. he is prompted either to choose from one of the existing still valid credit cards or enter a new one. Selected / new card will be linked to the reservation"

  • Minimum LOS - (Setup) Defines the minimum number of days for a reservation request via the Suite8 Homepage. If for example, this is set to 2 then the message "Length of stay is less than allowed for online reservation (min is 2 days)" is displayed when the length of stay is less than 2 days.

  • Maximum LOS - (Setup) Defines the maximum number of days for a reservation request via the Suite8 Homepage. If for example, this is set to 30 then the message "Length of stay is more than allowed for online reservation (max is 30 days)" is displayed when the length of stay exceeds 30 days


Promotions

Promotions can be displayed on Suite8 Homepage so that when making a new reservation and checking for rates the promotion is displayed next to the relevant rate code and room type.

Promotions are displayed on the Suite8 Homepage as follows:

  • It the rate code has rate details per room type and the promotion is linked to every rate detail, then the promotion is displayed next to the rate code description.

  • It the rate code has rate details per room type and the promotion is not linked to every rate detail, then the promotion is displayed next to the room types where it's valid.

  • Additional details regarding the promotion can be displayed by clicking the promotion link.

  • The original price is shown erased and the promotion price next to the original price.

The display of a promotion on Suite8 Homepage requires the following setup when defining the promotion:

  • On the Web tab the promotion can be marked as Indicate on Web along with the short and long promotion information to be displayed on the Suite8 Homepage.

  • On the Pictures tab mark the pictures as web enabled if the promotion picture should be displayed on the Suite8 Homepage; the image type defines where the picture will be displayed:

  • A thumbnail picture is displayed directly on the Price and Packages Overview page (ShowBriefPrices.aspx).

  • A web picture is displayed in a pop up window

See Also: Promotions


Deposits

The guest can be directed automatically to the payment gateway in order to pay a deposit for specific rate codes.

  • Create a policy in Suite8 with the option Collect online payment directly on the homepage selected.

  • Attach the policy to the required rate codes.

  • The user selects a rate code on Suite8 home page, which is linked to this policy.

  • Upon completion of the booking, the guest is directed automatically to the payment gateway.

  • A message is displayed:'On the next step you will be redirected to the online payment page.' when reviewing the booking on the 'StartBooking.aspx'.

Note: This is regardless of the parameter: 'hotel.ValidateCreditCardOnReservation = false;' or the parameter: 'hotel.CreditCardMandatory = false;' defined in the file global.asax. These parameters only apply to rate codes with no policy linked.

Deposit Payments via Suite8 home page

It is possible to use Deposit Payments via Telecash on the Suite8 home page.

  • Activate the parameter hotel.onlineDepositPayment = true; in the file global.asax.

  • Configure the Telecash Interface under Setup → Configuration → Miscellaneous → Global Settings → Misc. Interface 5 tab.

When a reservation is submitted via the Suite8 home page, then the page is redirected to the Telecash Interface

Enhanced Deposit Handling

Enhanced deposit handling is required to fulfil legal requirements for countries such as Latin America and Spain, where numbered deposit folio or receipt printing is required when paying a deposit via Suite8 Homepage.

When creating an online reservation with payment and enhanced deposit handling is active, the online user will receive an invoice and a deposit posting with payment will be completed via the XML Interface.

Enhanced Deposit Handling requires the following:

  • Activation of the parameter Enhanced Deposit Handling under Setup → Configuration → Global Settings → Country Specifics 1 tab.

This parameter activates the fields Deposit Folio and Deposit Receipt with number cycles to fulfil legal requirements for countries where numbered deposit folio or receipt printing is required. If activated the template: FCR_PMS_8351_DEPOSIT_INVOICE.rtf should be used as it is designed to act like an invoice and fulfils the requirements for deposit invoice printing.

  • The department code for Suite8 Homepage deposits is defined via the option Department code for deposit under Setup → Configuration → Suite8 Homepage → Setup1 tab. A department code defined as Deposit (ZDCO_DEPOSIT) can be selected.

  • A default email subject needs to be defined with the role Deposit via the option Default Email Subjects under Setup → Configuration → Email Settings.


How to check availability

When performing a reservation via the Suite8 Homepage, the hotel availability is checked prior to the room type availability.

Activating the parameter Rate availability incl. overbooking includes overbooking levels when checking availability whilst reserving a room via the Suite8 Homepage

  • Rate availability check including overbooking levels is controlled by the parameter Rate availability incl. overbooking under Setup → Configuration → Global Settings → Interfaces → Misc. Interface 3 tab.


Using Web Promotions

Web promotion functionality allows companies, travel agents and individual guests to make a reservation via the Suite8 Homepage using a promotional code.

The promotional code is linked to a block reservation so that when a reservation with a promotional code is made via the Suite8 Homepage, the reservation picks up the room from the block with the assigned promotion code.

Key Points

  • The availability of 'blocks' on the Suite8 Homepage - may be used for special promotions sent to guest via mailing.

  • Travel agents can make direct bookings to their allocation (block is linked to the TA profile)

  • Participants who will attend meetings, can make their own reservation (block is linked to the CCM booking master)

  • The Hotels want to use this to promote rooms to book via myfideliohomepage for conference with rooms.

  • Travel agents, companies as well as individual guests can pick up rooms from the block with the provided promotion code.

  • travel agents or individual guests can pick up rooms from the block with the promotion code assigned.

  • Used to enter a promotion code; this code can then be given to agents and individuals.

  • With web promotions, rooms can be picked up from existing blocks.

  • The Web Promotion Code is enter on the block header and this code is then given to the relevant parties, agents, companies or individuals.

  • the hotel can activate Block's to be bookable via a link Promotion Button in MyFidelio Homepage.

  • If no rooms available in block, it is not possible to make reservations anymore.

  • The company has a conference and could send to all guest, we have an specials rate in the hotel and you could reserve the rooms until there are rooms available via the Homepage oft the Hotel.

  • With web promotions, rooms can be picked up from existing blocks.

  • A unique web promotion code has to be entered on the block header.

  • The market, source and channel codes are taken from the block and not the default defined in the configuration.

  • On Suite8 Homepage the promotion code can be entered when querying reservation dates.

  • Guests with an existing membership can view their membership activity, including the membership type and number, the current points and an activity statement.

Web Promotions functionality requires the following setup

  • The possibility to add a Web Promotion code to a block reservation in Suite8 is controlled by the option Use Promotion Codes in Blocks under Setup → Configuration → Global Settings → Reservation → Reservation 4 tab.

  • The possibility to enter a Promotion Code when making a reservation via the Suite8 Homepage is controlled in the global.asax file by the parameter hotel.usePromotios = True; this parameter is by default not active in the global.asax file.

What do you want to do

How to make a reservation with a promotion code

  1. Open the local host web site use the following url address: http://localhost/V8Client/Inquiry.aspx

The Suite8 Homepage Demo Hotel is displayed defaulted to the first step of the reservation process - Time Period and Number of Persons.

The availability for the current two months is displayed on the left and the reservation criteria are displayed on the right.

  2. Complete the criteria including the Promotion Code and click Search.

The Prices and Packages Overview screen is displayed with the available rates and room types.

A notice is displayed advising that the shown rates are only valid for the promotion code "xxxxx"

  3. Select the required room type and click the Book Now button.

  4. Complete the reservation in the normal manner.

How to call web promotion as a parameter on the Suite8 Homepage

The block promotion code can be called as a parameter:

Only the relevant dates need to be entered, then when pressing Search button the ShowBriefPrice dialog box is opened directly for the entered promotion code. The following example is for a localhost connection and a promotion code 'Promotion':

http://localhost/v8Client/Inquiry.aspx?promotion=Promotion

Example

  1. Open the local host web site use the following URL address:

http://localhost/v8Client/Inquiry.aspx?promotion=Web Promotion Code

  2. The Suite8 Homepage Demo Hotel is displayed defaulted to the first step of the reservation process.

The Promotion code is not displayed as it has already been selected via the URL.

  3. Complete the criteria and click Search.

The Prices and Packages Overview screen is displayed with the available rates and room types.

A notice is displayed advising that the shown rates are only valid for the promotion code "Web Promotion Code"

  4. Select the required room type and click the Book Now button.

  5. Complete the reservation in the normal manner.

Example 2

  1. Open the local host web site use the following URL address:

http://l ocalhost/v8Client/inquiry.aspx?date=01.09.2014&nights=2&adults=1&promotion=Web Promotion Code

  2. As all the mandatory parameters have been selected via the URL then the Prices and Packages Overview screen is displayed directly with the available rates and room types.

A notice is displayed advising that the shown rates are only valid for the promotion code "Web Promotion Code"

  3. Select the required room type and click the Book Now button.

  4. Complete the reservation in the normal manner.


How to view the invoices from past stays

Invoices from previous stays can be viewed, downloaded and printed from the My Account reservation history screen.

  • The user has to be registered for the Suite8 Homepage

  • Only invoices of the logged in user are displayed.

  • The invoices can be downloaded and printed

  • Company invoices are not displayed.

The display of invoices from previous stays requires the following setup:

  • The parameter hotel.showInvoicesForHistoryRes must be activated in the global.asax file which is located in the directory: c:\Inetpub\wwwroot\V8Client.

  • Activation of the parameter Use Automatic PDF Export for Invoices which defines that a PDF file is created automatically for each invoice upon check-out. The PDF is stored in the defined directory with the configured leading string, the invoice number, date and time.

  • The creation of a PDF file automatically upon check-out is controlled by the parameter Use Automatic PDF Export for Invoices under Setup → Configuration → Global Settings → Reports → Report 1 tab.


Start Booking Page

Additional services such as booking multiple reservations, buying a voucher, reserving a table or booking an event can be booked at the same time. When making a reservation the additional services can be reserved on the booking page or accessed directly via the startbooking page using the URL: http://localhost/V8Client/startbooking.aspx

How to add additional services

  1. Open the local host web site using the URL: http://localhost/V8Client/startbooking.aspx

The Suite8 Homepage is displayed defaulted to the Verify Booking screen.

Any of the following additional services can be added to the shopping cart:

  • Room Reservation

  • Buy a Voucher

  • Reserve a Table

  • Book an Event

  2. Once any additional services have been added click Confirm; the registration page is displayed with three options for registration.

  3. Complete the registration and complete the booking in the normal manner.


Table Reservations

Suite8 Table Reservation functionality is available via the Suite8 Homepage; guests can reserve a table in a restaurant or bar which has been configured as bookable via the web. The restaurants are setup with suggested booking times.

Table reservations can be displayed on a localhost connection: http://localhost/V8Client/TabResInquiry.aspx.

Properties have to replace localhost with their web site address.

Key Points

  • Possibility to limit the restaurants that can be booked online.

  • Restaurant information can be defined to be displayed on both Suite8 Homepage and mobile devices.

  • Possibility to define the maximum number of seats per restaurant which can be booked via the web.

  • Possibility to define the maximum number of persons that a table reservation can be booked for.

  • Possibility to define the maximum number of days a table reservation can be booked in the future, for example, by setting this to 90 days then no table reservation can be made more that 90 days in advance from the current date.

  • A default table reservation confirmation email can be defined.

  • Future and past reservation can be viewed on 'My Account'.

  • No additional license is required in order to use table reservation functionality via the Suite8 Homepage.

Suite8 Homepage table reservation functionality requires the following setup:

  • Configuration of the restaurants which are available to be booked online, see Restaurants under Setup → Configuration → Table Reservation.

  • On the Web tab select Open for web booking if the restaurant should be available for booking online.

  • Select Use only Standard Reservation Times if only the standard reservation times from the template can be used for table reservations booked via the web.

  • Complete the Threshold to define the maximum number of seats which can be booked via the web for the selected restaurant.

  • Complete the Web and Mobile long and short info.

  • On the Pictures tab link the pictures to be displayed on mobile devices and Suite8 Homepage or via the advertisement ticker.

  • Definition of the restaurants opening times, Web enabled has to be selected for each reservation time template which should be available for Web Booking. See Restaurant Opening Times under Setup → Configuration → Table Reservation.

  • The maximum number of persons on a table reservation booked via the Suite8 Homepage is defined via the option Maximum Number of Persons under Setup → Configuration → Suite8 Homepage → Set up → Tab 1.

  • The maximum number of days a table reservation can be booked in the future is controlled in the global.asax file by the parameter hotel.maxDaysFromTodayTabRes = 90; By default this parameter is not active in the global.asax file.

  • The default confirmation email is defined via the option Default Confirmation under Setup → Configuration → Global Settings → Generic → Generic 4 tab.

  • The sending of a table reservation confirmation email is controlled in the global.asax file by the parameter hotel.sendTableReservationConfirmation = true;

  • The display of the Table Reservations tab on the My Account page is controlled by the option Show Table Reservations under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.

  • The display of table reservation history is controlled in the global.asax file by the parameter hotel.ShowTableReservationHistory = true; By default this parameter is set to false.

  • The number of days of table reservation history is controlled in the global.asax file by the parameter hotel.daysOfTableReservationHistory = 60; The default value is 30.

What do you want to do

How to book a table reservation online

  1. Open the localhost connection: http://localhost/V8Client/TabResInquiry.aspx

The Suite8 Homepage Demo Hotel is displayed defaulted to the table reservation screen.

The reservation selection criteria are displayed in the middle of the screen.

The restaurants which can be booked online are displayed along with the times which can be reserved.

  2. Complete the search criteria and click Search.

The list of proposed restaurants is updated with the restaurants and times which can be reserved.

  3. Click the time required; a summary of the restaurant booking is displayed for review.

  4. Enter any additional notes, such as, highchair required or table next to the window.

  5. Click Add to Cart; the shopping cart is displayed with the restaurant booking listed.

If the user is already signed in then the currently selected profile [image] is listed under the shopping cart.

  6. Click Confirm; the registration page is displayed with three options for registration:

  • Existing Guest - If you are a registered customer, please login in here:

  • New Guest - If you are a new customer., please register if desired:

  • Without Registration - You can make a reservation without registration

  7. Enter your User Name or Email and Password, and then click Login.

  8. Select to Confirm the Booking, and then click the Order with obligation to pay button.

  9. A summary of the booking including a confirmation number is displayed.

  10. Click New Reservation or Log Out to return to the main Suite8 Homepage inquiry page or click Next to display the www.micros-fidelio.eu web site.

Note: Click [image] to remove an item from the shopping cart.

How to view future and history table reservations under My Account

  1. Login and then click My Account to display the user account details.

  2. Click the Table Reservations tab.

Any future table reservations are listed and if reservation history is active then past table reservations are also listed.

Note: The display of table reservation history and the number of history days displayed are parameter controlled.

Web short and long information examples

Web Short Info is displayed like this:

Web Long Info is displayed like this:


Questionnaire

Questionnaires help evaluate how the property can improve services and may be sent when a guest checks out, makes a reservation or may be sent to regular guests along with the properties newsletter.

Questionnaire forms or surveys can be sent to guests in the form of a link via the Suite8 Homepage; parameters are supplied as part of the link in order to open a specific questionnaire for a specific guest profile or reservation.

The parameters for use with a questionnaire link are:

  • QuestionnaireForm=STA

  • ProfileID=1270

  • ReservationID=1682

For example, on a localhost connection the following link opens the Guest Stay Questionnaire (STA) for Tom Baker whose profile id number is 1270.

http://localhost/V8Client/questionnaire/Questionnaire.aspx?QuestionnaireForm=STA&ProfileID=1270

Once the guest completes the questionnaire and clicks the Submit button the survey is sent to Suite8 and the message "Thank you for filling out this Questionnaire." is displayed. If email notification is active then an email is sent to the defined recipients when the online questionnaire is received by Suite8.

Key Points

  • Surveys completed online are transferred to Suite8 and can be accessed via the option Questionnaire on the Miscellaneous menu.

  • In order to monitor the incoming questionnaires an email notification can be defined to be sent automatically when a guest questionnaire is received.

  • Multiple recipient email addresses can be entered, for example, a property may want the questionnaire notification sent to both the customer relations manager and the front office manager.

  • The salutation on the questionnaire is composed of the Letter Greeting on the guest profile and the guest's last name.

  • The questionnaire introduction text can be entered when defining a questionnaire form.

  • The questionnaire form is referred to by its Code, for example STA for Guest Stay Questionnaire or VIP for VIP Questionnaire.

  • The online questionnaire can only be completed once; if accessed again then a message is displayed "You have already filled out this Questionnaire. Thank you."

Online questionnaire functionality requires the following setup

  • Definition of the questionnaire; see How to define a guest questionnaire.

  • Definition of the questionnaire introduction text via the option Web Introduction Text on the Web tab when defining a questionnaire form.

  • Definition of the email address of the person or persons responsible for the completed online questionnaires via the option Notification Email.

  • Definition of the questionnaire notification and subject reports to be used via the options Notification Report and Notification Subject Report.

  • Notification reports must be created in a report section with the section role Email Template or Special Reports and the source type Text Format Template.

The following reports are supplied with Suite8:

  • 71212 Questionnaire Notifier

  • 71213 Questionnaire Notifier Subject

  • Questionnaire forms are defined via the option Questionnaire under Setup → Configuration → Miscellaneous.

  • The introduction text on the questionnaire survey is defined via the option Web Introduction Text on the Web Tab when defining a questionnaire form under Setup → Configuration → Miscellaneous → Questionnaire → Questionnaire Forms.

  • The automatic sending of an email notification via the XML Interface when an online questionnaire is received is controlled by the parameter Send Email Notification under Setup → Configuration → Suite8 Homepage → Set up → Tab 1 → Questionnaire Section.

  • The email address of the person or persons responsible for the completed online questionnaires can be entered via the option Notification Email under Setup → Configuration → Suite8 Homepage → Set up → Tab 1 → Questionnaire Section.

  • The questionnaire notification and subject reports to be used can be defined via the options Notification Report and Notification Subject Report under Setup → Configuration → Suite8 Homepage → Set up → Tab 1 → Questionnaire Section.

  • Notification reports must exist with the section role Email Template or Special Reports and the source type Text Format Template under Miscellaneous → Reports.


Bonus Point Cards

Bonus point functionality is available via the Suite8 Homepage; new guests can register for the bonus point program and existing guests can view their membership card activity.

Bonus points can be displayed on a localhost connection: http://localhost/V8Client/Inquiry.aspx.

Properties have to replace localhost with their web site address.

Key Points

  • Guests who do not already have a membership have the option to register for a bonus point program.

  • Guests with an existing membership can view their membership activity, including the membership type and number, the current points and an activity statement.

Bonus Point functionality requires the following setup

  • The display of the Bonus Points tab on the My Account page is controlled by the option Show Bonus Points under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.

  • The membership program to be available on the Suite8 Homepage can be defined as Web Enabled via the option Membership Types under Setup → Configuration → CRM

How to apply for a bonus card membership

  1. Under My Account click the Bonus Point tab

  2. Click the Register button.

A message is displayed asking if you wish to apply for membership.

  3. Click OK; the Bonus Point details are displayed in 2 sections:

  • Bonus Card Details - displays the Membership Number, Membership Type and Current Points.

  • Bonus Statement - displays a list of transactions for the specified period; the default bonus statement period is for the last month up until and including today's date. On a new membership only the initial points awarded for joining the membership program are listed.

  4. Click Save changes to save the membership details.

How to view bonus point card statement

  1. Under My Account click the Bonus Point tab.

The Bonus Point details are displayed in 2 sections:

  • Bonus Card Details - displays the Membership Number, Membership Type and Current Points.

  • Bonus Statement - displays a list of transactions for the specified period; the default bonus statement period is for the last month up until and including today's date. On a new membership only the initial points awarded for joining the membership program are listed.

  2. Click Save changes to save the membership details.

Note: Multiple membership cards can be assigned the role 'Bonus point (Frequent Flyer'), however, only one membership card type can be marked as Web Enabled.


Calendar Events

On the Suite8 Homepage both current and future calendar events can be displayed. Calendar events are displayed by default from today's date for the default number of search days as defined in the setup.

Calendar events can include special events, bank holidays, conventions, conference bookings and fairs and are displayed with the following details:

  • The date of the event or the start and end date if the event covers more than one day.

  • The start time and end time of the event if applicable.

  • The type of event.

  • Description of the event which is either the Web Short Info for this event or the event Description.

  • The location of the event.

  • Read More/Hide Details - toggles the display of more information about the event (Web Long Info).

indicates that the events can be filtered by this criteria; events can be displayed from and to a specific date or filtered by Type or by Event Location.

Events calendar

How to book a calendar event

  1. Open the local host web site use the following url address: http://localhost/V8Client/ShowCalendarEvents.aspx

The Suite8 Homepage Events Calendar is displayed with a list of the upcoming calendar events.

Calendar events which can be booked are indicated with the Book button; the number displayed indicates the number of places still available.

  2. Click the Book button for the required event; if you are already registered then the Book Calendar Event screen is displayed, otherwise the registration page is displayed with three options for registration:

    • Existing Guest - If you are a registered customer, please login in here:

    • New Guest - If you are a new customer., please register if desired:

    • Without Registration - You can make a reservation without registration

  3. Complete the required registration option and then click Login.

  4. Enter the number of participants and any relevant notes.

  5. Click Book; the shopping cart is displayed with a summary of the booking details.

  6. Click Confirm; the shopping cart is displayed with the payment options and the booking Terms & Conditions.

  7. If there is a charge to be paid then select the method of payment.

  8. Select to Confirm the Booking and then click the Order with obligation to pay button.

  9. If required, complete the payment through the payment gateway.

A summary of the booking including a confirmation number is displayed.

  9. Click Print to display the Event Participation Confirmation in PDF format on the browser; click the print icon or select Print from the File menu.

  10. Click the browser arrow button to return to the calendar event booking.

  11. Click New Reservation or Log Out to return to the main Suite8 Homepage inquiry page or click Next to display the www.micros-fidelio.eu web site.

Note: Click [image] to remove an item from the shopping cart.

Note: If the calendar event has no more participant space available then the book button is not displayed.

Opening calendar events with parameters

When opening Calendar Events on Suite8 Homepage via Browser, the ShowCalendarEvents.aspx can be opened with parameters, for example opening the Calendar Events Page with the following parameters on a localhost connection will display the page in German and list only events for the entered dates:

http://localhost/v8client/showcalendarevents.aspx?startDate=03.04.2014&endDate=01.05.2014&culture=de-DE

Parameters which can be used to view calendar events

The parameters are independent of one and other and are optional.

Parameter | Definition | Example
eventType | ID of the event type. For the list of the IDs see the values of cbEventtypes combo | eventType=1161
eventLocation | The event location identifier. For the list of identifiers see the values of cbEventLocations combo. | eventLocation=1-1019
hideEventTypeSelection | Set this parameter to 1 in order to hide the Event Type filter selection box. | hideEventTypeSelection=1
hideEventLocationSelection | Set this parameter to 1 in order to hide the Event Location filter selection box. | hideEventLocationSelection=1
startDate | Defines the date from which to start the events calendar display. The date must be entered in DD.MM.YYYY format. | startDate=03.02.2014
endDate | Defines if the end date in DD.MM.YYYY format | endDate=01.05.2014
culture | Defines the language in which the events calendar is displayed. Startup language For the list of the alues see explanations on the Inquiry.aspx | culture=de-DE

URL examples with parameters on a local host connection

The parameters are independent of one and other and are optional; the first parameter is preceded with a ? and & is used to link the parameters

The event type id is retrieved from the combo box displayed on Suite8 Homepage when selecting a location.

http://localhost/v8client/showcalendarevents.aspx?eventType=1032&eventLocation=1-1001&startDate=28.02.2014&endDate=01.05.2014

http://localhost/v8client/showcalendarevents.aspx?hideEventTypeSelection=1&culture=de-DE&hideEventLocationSelection=1

How to locate the ID of event types and event locations (Advanced Users)

  1. Open the showcalendarevents.aspx on the browser.

  2. Right-click anywhere on the screen and select View Source from the menu.

The source code for this web page is displayed.

  3. The ID of the event types can be located by searching for cbEventtypes.

Event ID Source Code

  4. The ID of the event locations can be located by searching for cbEventLocations.

Location ID Source Code

How to display a link to calendar events from the advertisement ticker

When using the advertisement ticker, it is possible to place a link to an URL address behind the pictures shown on the Suite8 Homepage. The following example is for the calendar events page:

<div class="imgFloatLeft"><p><a href="ShowCalendarEvents.aspx" target="tick">Click here</a> to review our rich Event Calendar online.</p></div>

  • The display of the Calendar Event Location on the Suite8 Homepage is controlled by the parameter Calendar Event Location under Setup → Configuration → Suite8 Homepage → Setup → Tab 2 → Calendar Events section.

  • The display of calendar events on the Suite8 Homepage is controlled by the option Web Enabled on the calendar event type under Setup → Configuration → CRM → Calendar Event Type.

  • Calendar event locations include, function spaces, restaurants and locations defined via the option Public Places under Setup → Configuration → Miscellaneous.

  • The display of calendar events on the Suite8 Homepage is controlled in the global.asax file by the variable hotel.ShowTableReservations = true; The default value for the parameter is false.

  • The number of days for which calendar events are displayed is defined via the option Default Number of Search Days under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.


Mobile Reports

Mobile reports is included with the installation of Suite8 Homepage, the web booking engine for Suite8 or the XML Interface enhanced edition. Mobile reports/Suite8 mobile reporting offers the possibility to view the status of the property and custom reports via the world wide web or via mobile devices. Mobile reports is license controlled.

Note: Mobile reporting functionality requires an additional license code.

It is subject to the license code Suite8 mobile status. This license is automatically active if a valid license code for Suite8 home page or xml interface enhanced edition is used. However, the license code for Suite8 mobile status has to be ordered.

Mobile Dashboard can be added to Suite8 Mobile Reports using the file mobilereports.xml located in the Suite8 Homepage directory, usually this is: C:\inetpub\wwwroot\v8client. for much easier implementation of custom mobile reports based on predefined Dashboard Elements.

Mobile reports can be viewed on a localhost connection: http://localhost/V8Client/mobile/mlogin.aspx

Key Points

  • Dashboard elements can be combined easily into various dashboard layouts also by users with little technical background.

  • Dashboard elements can be configured per user or per user group in the Suite8 configuration.

Custom reports can be added using mobilereports.xml file for the name and display under Inetpub\v8client and placing the configured html and query files in the defined directory.

Suite8 mobile status comes with the installation of Fidelio Suite8 Homepage, the web booking engine for Suite8 or the XML Interface Enhanced edition. Suite8 mobile reporting is license controlled.

  • If table reservation functionality is used then the table reservations can be viewed via Mobile Reporting.

  • If maintenance functionality is used then maintenance tasks for the signed on user can be viewed and resolved via V8 Mobile Status.

  • Separate report configurations can be defined per user or per user group.

  • Report Security Levels - the defined security level of the report is validated against the user who sends an XML request and the login request of the xml interface returns the report security level associated with the user. For example . the company technician should have access to maintenance, but not to rooms availability or financial reports.

  • During installation the directory V8Client\mobile is created under the IIS home directory (usually c:\inetpub\wwwroot).

  • Possible to define Access levels

  • Possible to add bookmarks - it is possible defining an URL address in the MobileReports.xml and displaying URL addresses under Bookmarks

  • Maintenance tasks can be viewed and resolved via Mobile Reports.

  • The column can be sorted by clicking on the column heading.

  • Attendants assigned to a user may logon to mobile reporting to change a room or maintenance task status.

Mobile Dashboard reports are available within Suite8 Mobile Reporting for much easier implementation of custom mobile reports based on predefined Dashboard Elements.

The Elements can be combined easily into various Dashboard Layouts also by users with little technical background.

Suite8 mobile reporting requires the following:

  • Definition of the Html directory used to store the HTML and query files for Suite8 Mobile Status under Setup → Configuration → Miscellaneous → Global Settings → Misc. Interface 3 tab.

  • Standard HTML files as well as the dashboard elements are provided with the installation of Suite8.

  • Suite8 comes with a set of standard HTML files, however custom reports can be added as required.

  • The dashboard elements, html and qry files are located in the html directory of Suite8, which is defined under Global Settings → Interface3 tab.

  • Access to Mobile Reporting is controlled by the user right Mobile Login under Setup → Configuration → Users → User Definition → Rights → Miscellaneous.

  • Login and invalid login attempts to mobile reporting are displayed in the user log if the options Mobile Login and Invalid Mobile Login Attempt are selected in Setup → Configuration → Users → User Log → Security.

  • To use Hotel Maintenance, the parameter Hotel Maintenance has to be activated under Global Settings → Generic3 tab.

Note: The Suite 8 Standard shell comes with a standard user, with full rights to also show all the mobile reports, please be careful about the password security when using mobile reporting and remove the Mobile Login for the standard Suite8 User.

What do you want to do

How to access mobile reporting

  1. Open the mobile reports on the browser, for example, on a localhost connection the address would be: http://localhost/V8Client/mobile/mlogin.aspx

The Suite8 mobile reports login dialog box is displayed.

  2. Type your Login Name and your Password.

  3. Click Login; the mobile reports screen is displayed.

Suite8 comes with a set of standard HTML files, however custom reports can be added as required.

How to add custom reports to mobile reporting

  1. Place the HTML and QRY files in the Suite8 html directory defined via global settings.

  2. Add the report to the mobilereports.xml file; this is usually \inetpup\wwwroot\v8Client

For example, to add the report Month Trend.html

    1. Place the file mobileTrend.html in the html directory

    2. Open the file mobilereports.xml in the V8 client directory

    3. Add the report to the group Trends as follows:

Note: HTML Reports can also be created and selected via the Reports menu in Suite8.

How to add custom reports to mobile reporting from Suite8

All Reports from Suite8 can be accessed; according to the defined security level of the report.

  1. Add the report to the mobilereports.xml file; usually c:\inetpub\wwwroot\v8client

For example, to add the report Month Trend.html

    1. Place the file mobileTrend.html in the html directory

    2. Open the file mobilereports.xml in the V8 client directory

    3. Add the report to the group Trends as follows:

The following parameter types are available:

    • String

    • Int

    • Date (Format DD.MM.YYYY)

    • DateTime (Format DD.MM.YYYY HH:MM:SS.mmm UTC±MM (time with UTC shift info) )

    The reports are added to the mobilereports.xml file located in the V8 client directory as follows:

How to define report configuration per user or user group

The Mobile reports xml file can be displayed as follows:

User (logged in)

User group

Customized set by the property (available to everyone)

To display a customized version of the Mobile Reports XML file per User

the MobileReports.XML residing in the V8 Client directory has to indicate User, USER and XCED_ID.

To display a customized version of the Mobile Reports XML file per User group

the MobileReports.XML residing in the V8 Client directory has to indicate Group and WEGR_ID.

  1. Define the mobile reports XML file per user or per user group; the following naming conventions must be used:

To show the mobile reports per user the file name is MobileReports_User_XCED_ID.XML

(The XCED_ID has to be retrieved from the table XCED, the table containing employee details.)

MobileReports_User_1025.xml - where '1025' is the 'XCED_ID', the unique identifier for the user.

For example: for a User with the XCED_ID 2587, the Mobile Reports file is called MobileReports_USER_2587.XML.

To display a customized mobilereports.XML file mobile reports per user group, the Mobile Reports XML file has to be called MobileReports_GROUP_WEGR_ID.

The WEGR_ID has to be retrieved from the table WEGR, the table containing the system wide employee groups.

For example for a user group with the WEGR_ID: 1198, the Mobile Reports.XML file is called MobileReports_GROUP_1198.XML.

MobileReports_GROUP_99.xml - where '99' is the 'WEGR_ID', the unique identifier for the user group.

  2. Place the files in the Suite8 Homepage directory, this is usually \inetpup\wwwroot\v8Client.

Note: When accessing mobile reports the system will search first for the MobileReports_User_XXXX.xml file for the signed on user and if not found then for the MobileReports_Group_XX.xml file for the user group.
If neither of these are found then the default MobileReports.xml file is used to display the reports.

How to configure maintenance

  1. Place the following HTML and QRY files in the Suite8 html directory defined via global settings.

  • QuickInfoDash_MaintUser.html and QuickInfoDash_MaintUser.gry

  • QuickInfoDash_AllMainTasks.html and QuickInfoDash_AllMainTasks.qry

  • MobileMaintUser.html and MobileMaintUser.gry

  • MobileMaint.html and MobileMaint.gry

  2. Open the file mobilereports.xml in the V8 client directory; this is usually \inetpup\wwwroot\v8Client

  3. Add the reports to the mobilereports.xml file located in the V8 client directory.

The two files have to be referenced to as follows:

  3. Select My Maintenance tasks on the Mobile Reports screen to display the open maintenance tasks for the signed on user.

  4. Tasks can be resolved by selecting the Resolved button.

How to add access levels

Access levels can be defined in the file mobilereports.xml, for example:

How to add bookmarks

A bookmark can be added to mobile reports by adding the attribute URL to the report definition; for example, to add a link to the MICROS-Fidelio Europe website http://www.micros-fidelio.eu/.

  1. Open the file mobilereports.xml in the V8 client directory; this is usually \inetpup\wwwroot\v8Client

  2. Add the URL to the group Bookmarks as follows:

The URL address is displayed on mobile reports under Bookmarks:

These links are a list of all the reports:

Reservation Reports -

Arrivals Today

Selecting Arrivals today allows viewing the arrivals of today, assigning rooms and checking the guest in:

Clicking on the link of the name opens the guest recognition html file, clicking on the link of the reservation number opens the reservation detail html file. Pressing Edit allows editing the reservations. Clicking on the selection next to Assign Rooms allows selecting an available room, pressing Check In button checks the guest in.

Front Desk Reports

Table Reservations - If Table Reservation Management is used, actual table reservations and Waitlist Table Reservations can be viewed via Mobile Reporting:

Rooms Management

Movement Report

The movement report allows changing the status of rooms, displays information, such as the maid who is currently assigned to clean the room, displays rooms in queue and displays notes assigned to the Housekeeping department.

Maintenance Tasks

Maintenance tasks can be viewed and resolved via Mobile Reports. To use this, the parameter Hotel Maintenance has to be activated under Global Settings->Generic3 tab. The html and qry files MobileMaintUser.* and MobileMaint.* have to reside in the html directory defined under Global Settings->Misc Interface 3 tab. In the MobileReports.xml file, the two files have to be referenced to as follows:

Maintenance tasks can be viewed and resolved via Mobile Reports. To use this, the parameter Hotel Maintenance has to be activated under Global Settings->Generic3 tab. The html and qry files MobileMaintUser.* and MobileMaint.* have to reside in the html directory defined under Global Settings->Misc Interface 3 tab. In the MobileReports.xml file, the two files have to be referenced to as follows:

Trend Reports - Trend Reports allows looking at the Month Trend Analysis:

House Status -

Business Status

The business status report, the MobileRevCheck.html has become a complete new look and layout for Suite8 Version 8.9.0.0. A Banner has been added displaying the 3 most recent Maintenance Tasks and Arrivals on top of the report.

A ticker on the Mobile Report 'MobileRevCheck' tickers today's 3 most recent Maintenance Tasks and Arrivals.

House Status

House Status

Selecting House Status opens the house status report:

Clicking on Exp. Arrivals opens the arrival list for today. Clicking on Exp. Dep. opens the expected departure list for today.

Other Reports - Under Other Reports the following selection is available on the standard

POS8 - With the POS8 integration Mobile Reporting is available to monitor your POS Business revenue at real time.

Support for iPhone, IE Mobile and other mobile devices - When using mobile devices, the link Suite8@iPhone can be selected to refer to the smart phone pages:

  1. The Suite8 home page should be updated to the latest version.

  2. There are 2 new CSS files for every device.

For example for the IPhone they are:

  • css/iPhone.css - for regular pages such as login

  • mobile/iPhone.css - for the Suite8 HTML files

  • Suite8 mobile reporting is controlled by the license Fidelio Suite8 Mobile Status under Setup → Miscellaneous → License → V8 Sublicenses → Software Interfaces. This license is automatically active if a valid license code for Suite 8 home page or the XML Interface Enhanced edition is active. One of these licenses has to be entered.

  • Access to Mobile Reporting is controlled by the user right Mobile Login under Setup → Configuration → Users → User Definition → Rights → Miscellaneous.

  • Table Reservation is controlled by the license Table Reservations under Setup → Miscellaneous → License → V8 Sublicenses → Property Management.

  • Hotel Maintenance functionality is controlled by the parameter Hotel Maintenance under Setup → Configuration → Global Settings → Generic → Generic 3 tab.


Mobile Dashboard

Mobile Dashboard reports may be used Suite8 Mobile Reporting to easily implement custom mobile reports based on predefined Dashboard Elements.

Dashboard Elements are supplied with Suite8 and usually begin with DashBoardElement_

Many Dashboard Layouts are supplied with Suite8 and usually begin with QuickinfoDash_they may incorporate one or more dashboard elements

Dashboard elements are not usually called directly from within the mobilereports.xml but rather are included in an a QuickInfoDash HTML file which also includes formatting.

Key Points

  • Dashboard elements can be configured per user or per user group in the Suite8 configuration.

  • The dashboard elements can be combined easily into various dashboard layouts also by users with little technical background.

  • The elements can be combined easily into various dashboard Layouts which can be defined per user and user group in Suite8.

  • The dashboard elements, html and qry files are located in the html directory of Suite8, which is defined under Global Settings->Interface3 tab.

  • Mobile Dashboard can be added to Suite8 Mobile Reports using the file mobilereports.xml located in the Suite8 Homepage directory, this is usually \inetpup\wwwroot\v8Client

  • Add the report to the mobilereports.xml file;

  • The dashboard elements are independent per language; the: translation of an HTML file is based on the web culture for Suite8 webConnect (wlan web_culture).

What do you want to do?

How to access the mobile dashboard

  1. Open the mobile reports on the browser, for example, on a localhost connection the address would be: http://localhost/V8Client/mobile/mlogin.aspx

  2. Login to display the mobile reports screen.

The following dashboard groups are displayed when using the mobilereports.xml file supplied with the Suite8 demo.

  • Dashboard - displays the dashboard groups as defined by the property

  • User Defined Dashboard - displays all the dashboards configured in Suite8 for the signed in user and their user group

  3. Select Dashboard to list the dashboard reports/layouts as defined by the property.

  4. Select User Defined Dashboard to list all the dashboard layouts configured in Suite8 for the signed in user and their user group.

How to add a mobile dashboard to Suite8 Mobile Reports

Before dashboards can be included on mobile reports the relevant HTML and QRY files must be added to the Suite8 html directory defined via global settings.

In this example we have added the following files to the HTML directory.

  1. Open the file mobilereports.xml in the V8 client directory; this is usually \inetpup\wwwroot\v8Client

  2. Add QuickInfoDash_CalendarEvents.html to the group Dashboard as follows:

  3. The mobile report is then displayed on the dashboard as follows:

How to display user defined dashboards

All the dashboard layouts configured in Suite8 for the signed in user and user group to which they belong can be listed by including the following code in the file mobilereports.xml in the V8 client directory.

How to call dashboard elements with HTML code (quickinfo files)

The Dashboard elements can be called using HTML code as follows:

{html DashBoardElement_Arrivals.html?parameter=0}

{html DashBoardElement_Departures.html?parameter=0}

{html DashBoardElement_CalendarEvents.html?parameter=0}

{html DashBoardElement_Housekeeping.html?parameter=0}

In the following example:

Suite8 Configuration for Dashboard

Dashboard files are configured in Suite8 via the Dashboard setup menu on the Miscellaneous section of the configuration menu.

Dashboard elements are located in the Suite8 HTML directory and can be identified by starting with DashBoardElement_xxx. For each element there is a htm and qry file.

How to configure dashboard

  • Import all the required dashboard HTML files into Suite8

  • Define the user or user group layout

How to import the dashboard html files

  1. On the Configuration menu click Miscellaneous.

  2. Click Dashboard Setup and then select Dashboard html files.

A list of the dashboard elements already imported into Suite8 is displayed.

  3. Click New to display the Dashboard file dialog box.

  4. Click the [image] button next to the File Name.

  5. Locate the HTML directory, select the dashboard element to be imported, and then click Open.

  6. Click OK to import the file.

  7. Proceed with the next file, until all required dashboard elements are imported.

User Defined Layout or User Group Defined Layout

  1. On the Configuration menu click Miscellaneous.

  2. Click Dashboard Setup and then select User Defined Layout.

A list of the defined dashboards for all users is displayed.

  3. Click New to display the new User Dashboard Setup dialog box.

  4. Complete the dashboard setup by typing information or selecting information from the drop-down lists.

For an explanation of the fields on the dashboard setup screen, see the table below.

As each HTML file is selected it can be previewed by clicking the [image] button.

  5. Click OK to save the dashboard setup.

  • The HTML templates for the dashboard elements can be imported in to Suite8 via the option Dashboard html files under Setup → Configuration → Miscellaneous → Dashboard Setup.


Dashboard html files

This option is used to import dashboard elements and is accessible via the Dashboard setup section of the configuration menu.

Dashboard elements can be easily combined into dashboard layouts which are then displayed in Suite8 mobile reports.

Mobile Dashboard reports are available within Suite8 Mobile Reporting for much easier implementation of custom mobile reports based on predefined Dashboard Elements.

The dashboard element HTML and QRY files are provided with the installation of Suite8 and are located in the HTML directory.

The dashboard elements can be sorted using the up and down buttons or listed in alphabetical order with the Sort By Name button.

How to import dashboard elements

  1. On the Configuration menu click Miscellaneous.

  2. Click Dashboard Setup and then select Dashboard html files.

A list of the dashboard elements already imported into Suite8 is displayed.

  3. Click New to display the Dashboard file dialog box.

  4. Click the [image] button next to the File Name.

  5. Locate the HTML directory, select the dashboard elements to be imported, and then click Open.

  6. Click OK to import the file.

Note: Dashboard elements can be added directly via drag & drop from Windows Explorer.

Note: A dashboard element can only be deleted if it is not in use.

  • The location of the HTML directory used to store the dashboard HTML and QRY files is defined under Setup → Configuration → Miscellaneous → Global Settings → Misc. Interface 3 tab.


User Defined Layout

This option is used to define per user, the dashboard layout and the elements to be included and is accessible via the Dashboard setup menu on the Miscellaneous section of the configuration menu.

  • The dashboards defined for the currently logged in user can be listed by clicking the Show Me button.

  • The dashboards defined for a specific user can be listed by selecting a User name and then clicking Search.

  • If there are multiple dashboards defined for a user, a default dashboard can be chosen, however, the required dashboard can also be selected via the Dashboard menu option.

  • The HTML templates for the dashboard elements need to be imported in to Suite8 before they can be selected for a dashboard layout.

How to define a user layout

  1. On the Configuration menu click Miscellaneous.

  2. Click Dashboard Setup and then select User Defined Layout.

A list of the defined dashboards for all users is displayed.

  3. Click New to display the new User Dashboard Setup dialog box.

  4. Complete the dashboard setup by typing information or selecting information from the drop-down lists.

For an explanation of the fields on the dashboard setup screen, see the table below.

As each HTML file is selected it can be previewed by clicking the [image] button.

  5. Click OK to save the dashboard setup.

Dashboard Setup dialogue box

Field

Definition

Users

The name of the user for whom this dashboard is defined.

Name

Description of the dashboard, for example, Maintenance Dashboard or Standard Dashboard.

Display Type

Defines the layout of the HTML elements, possible dashboard layouts are:

  • Single - one HTML element which takes up the entire screen

  • Double - two HTML elements side by side

  • Quadruple - four HTML elements displayed in a square

Html File 1

Defines the first element of the dashboard; select from the list of available HTML screens.

Html File 2

Defines the second element of the dashboard; select from the list of available HTML screens.

Html File 3

Defines the third element of the dashboard; select from the list of available HTML screens.

Html File 4

Defines the fourth element of the dashboard; select from the list of available HTML screens.

Default

Defines if this dashboard setup is the default dashboard display for this user.

  • The HTML templates for the dashboard elements can be imported in to Suite8 via the option Dashboard html files under Setup → Configuration → Miscellaneous → Dashboard Setup.


User Group Defined Layout

This option is used to define per user group, the dashboard layout and the elements to be included and is accessible via the Dashboard setup menu on the Miscellaneous section of the configuration menu.

  • The dashboards defined for the currently logged in user can be listed by clicking the Show Me button.

  • The dashboards defined for a specific user can be listed by selecting a User name and then clicking Search.

  • The dashboards can be displayed by clicking the Preview button.

  • If there are multiple dashboards defined for a user, a default dashboard can be chosen, however, the required dashboard can also be selected via the Dashboard menu option.

  • The HTML templates for the dashboard elements need to be imported in to Suite8 before they can be selected for a dashboard layout.

How to define a user group layout

  1. On the Configuration menu click Miscellaneous.

  2. Click Dashboard Setup and then select User Defined Layout.

A list of the defined dashboards for all users is displayed.

  3. Click New to display the new User Dashboard Setup dialog box.

  4. Complete the dashboard setup by typing information or selecting information from the drop-down lists.

For an explanation of the fields on the dashboard setup screen, see the table below.

As each HTML file is selected it can be previewed by clicking the [image] button.

  5. Click OK to save the dashboard setup.

Dashboard Setup dialogue box

Field

Definition

User Group

The name of the user group for which this dashboard is defined.

Name

Description of the dashboard, for example, Maintenance Dashboard or Standard Dashboard.

Display Type

Defines the layout of the HTML elements, possible dashboard layouts are:

  • Single - one HTML element which takes up the entire screen

  • Double - two HTML elements side by side

  • Quadruple - four HTML elements displayed in a square

Html File 1

Defines the first element of the dashboard; select from the list of available HTML screens.

Html File 2

Defines the second element of the dashboard; select from the list of available HTML screens.

Html File 3

Defines the third element of the dashboard; select from the list of available HTML screens.

Html File 4

Defines the fourth element of the dashboard; select from the list of available HTML screens.

Default

Defines if this dashboard setup is the default dashboard display for this user.

  • The HTML templates for the dashboard elements can be imported in to Suite8 via the option Dashboard html files under Setup → Configuration → Miscellaneous → Dashboard Setup.


About Suite8 myStay

Suite8 myStay is a smart phone/iPad application which allows guests to register and log on to the Suite8 Homepage using their smart phone or iPad. Guests can manage their future reservations and view past reservations as well as control their current stay at the property with the possibility to check-in, view history and send service requests to the front desk.

controlling their stay itinerary at the property,

such as calendar events

table reservations

the guest can view messages and mark them as read

It is also possible entering a new booking.

Functionality available with Suite8 myStay

  • Registration of new or existing guests

  • Profile

  • Address Details

  • Communication

  • Preferences

  • Reservation

  • Create new reservations

  • View future reservations

  • Cancel reservations

  • View Reservation History

  • Send Service Requests to the property

  • View new messages

  • Review Itinerary (arrival, table reservations, spa bookings, calendar Events )

******************

Bonus points can be displayed on a localhost connection: http://localhost/V8Client/mobile/ipmain.aspx

Properties have to replace localhost with their web site address.

Suite8 myStay

Suite8 myStay is available for smart phones and since Suite8 Version 8.9.2.0 also for iPad, allowing guests to register and log on to Suite8 home page, managing future reservations or viewing history reservations as well as controlling their stay itinerary at the property, such as calendar events, table reservations, the guest can view messages and mark them as read as well as sending service requests to the property. It is also possible entering a new booking. Suite8 myStay pages are installed with the Install Shield for Suite8 home page.

Activate Suite8 myStay

The pages for myStay are placed in the directory \inetpup\v8client\mobile on a localhost connection this can be called using the following URL address:

http://localhost/V8Client/mobile/ipmain.aspx

Viewing the pages via smart phone or iPad, is possible when using the properties web address instead of ‘localhost’, the link can be forwarded to the guest:

The following two examples represent the Look using iPad or via URL, background pictures are free definable:

Picture1

Picture 2

Or smart phone:

iphone picture

******************

The pages for Suite8 myStay are provided with the installation of the Suite8 Homepage; the pages are placed in the mobile directory under \inetpup\wwwroot\v8Client\mobile. When using this on a localhost connection the main page can be called with the URL address: http://localhost/V8Client/mobile/ipmain.aspx

The parameters and restrictions are set in the file global.asax located in the directory: \inetpup\wwwroot\v8client.

The pictures are taken from the folder \inetpup\wwwroot\v8client\img, the pages are located in the directory: \inetpup\wwwroot\v8client\mobile

  • Suite8 myStay is controlled by the license webConnect under Setup → Miscellaneous → License → V8 Sublicenses → Suite8 Software Interfaces and the legacy license Suite8 Homepage Stay Manager under Setup → Miscellaneous → License → V8 Sublicenses → Legacy Sublicenses.


myStay - How to look at mystay on behalf of the guest

How to look at myStay on behalf of the guest

This functionality enables management to access and view myStay information on behalf of the guest. Users with the appropriate user rights may view myStay information such as messages or maintenance tasks.

The guests myStay can be opened from within a report which includes the myStayCheck.qry or can be opened directly using the parameter of the Guest's profile ID.

The following example is for a local host connection:

https://localhost/v8client/mobile/ipEmpShowMyStay.aspx?profileID=ID_OF_THE_PROFILE

The myStayCheck.qry is included on the mobile report Dashboard In House and in QuickInfoDash_InHouse.htm, but may be added to any mobile report as required.

myStay lookup functionality requires the following setup:

  • Assign the user right Mobile Login to users allowed to access myStay on behalf of a guest.

  • Activate the user log entry Employee Access to myStay Manager under Setup → Configuration → Users → User Log → Security in order to log all performed actions.

  • Add the following files to the Suite8 html directory; they are supplied with the standard database:

The following files are available in the Suite8 standard html files directory:

  • DashBoardElement_InHouse_MystayCheck.QRY

  • DashBoardElement_InHouse_MystayCheck.QRY HTML

What do you want to do

How to access mobile reporting

  1. Open the local host web site use the following url address: http://localhost/V8Client/mobile/mlogin.aspx

The Suite8 mobile reports login dialog box is displayed.

  2. Type your Login Name and your Password.

  3. Click Login; the mobile reports screen is displayed.

  4. Click Dashboard to display the available dashboard reports.

  5. Click Dashboard in House, and then scroll down to the My Stay Check section.

  6. Click the MyStay Link on behalf of ... for the required guest.

The Suite8 Homepage myStay page is displayed for the requested guest in a separate tab.

  7. Click [image] to exit guest's myStay page; the main myStay page is displayed.

Note: All requests to the XML Interface are made using the user credentials of the logged in user and not the XML Interface user credentials.

  • The possibility to access the myStay page on behalf of the guest is controlled by the user right Mobile Login under Setup → Configuration → Users → User Definition → Rights → Miscellaneous.

  • All actions will be logged in the user log for the signed in user if the option Employee Access to Mystay Manager is selected in Setup → Configuration → Users → User Log → Security. It is strongly recommended that the user log is activated.


myStay - Language Selection

Language Selection

Properties who would like to offer several language translations for their online booking clients can add any .net supported language to the file global.asax.

On Suite8 myStay the first three defined languages are displayed by default.

What do you want to do

How to change the languages display

  1. Open the file global.asax in the V8 client directory; this is usually \inetpup\wwwroot\v8Client

  2. Locate the parameter hotel.AddLanguage:

  3. Change the sort order of the languages so that the required languages are the first three languages listed.

How to display more languages

  1. Open the file ipPageFooter.ascx in the V8 client mobile directory; this is usually \inetpup\wwwroot\v8Client\mobile

  2. Locate the language-selection.

  3. Change the number of languages from the default 3 to the required number of language selections.


General

The option Refresh Cache can be used to reset the cache for the Suite8 Homepage.

On the Suite8 Homepage in the root directory, usually \inetpub\wwwroot\v8client, the page RefreshCache.aspx can be called via local browser, for example on a localhost connection http://localhost/V8Client/RefreshCache.aspx.

General

Field

Definition

Legal Values

Home Page URl

The URL address of the Suite8 Homepage.

Booker Influence

The role for the booker for company bookings.

Select from list box.

Max. Web Reservation Date

The maximum date until which reservations could be made via the Suite8 Homepage.

Select from list box.

S8HP Avl. Limit

The availability limit for web bookings

Select from list box.

Department code for deposit

The department code to be used for deposits made via the Suite8 Homepage.

Select from list box.

Show Facebook Button

Defines if the Facebook Share button is available on the bottom of the Inquiry page of Suite8 Homepage

Check: YES

Blank: NO

Show Twitter Button

Defines if the Twitter button is available on the bottom of the Inquiry page of Suite8 Homepage

Check: YES

Blank: NO

Show GooglePlus Button

Defines if the GooglePlus button is available on the bottom of the Inquiry page of Suite8 Homepage.

Check: YES

Blank: NO

Allow booking without registration

Defines if booking without registration is allowed.

Check: YES

Blank: NO

Allow to login with Reservation ID

Check: YES

Blank: NO

User Rate Market Code when configured

Defines if the market code configured on the selected rate is taken instead of the default market code defined in the file Global.asax.

Check: YES

Blank: NO

Allow to pay directly

Defines if the option Instant Payment is available on the Review Booking page (StartBookin.aspx). Selecting the Instant Payment option routes the guest directly to the Payment Gateway.

Check: YES

Blank: NO

Online Payment in iFrame

Defines if online payments are processed in an iFrame to avoid opening a new window when applying the payment. This functionality is applicable only for voucher selling and reservation deposit payments on the Suite8 Home Page.

Note: The iFrame parameter should be activated when the payment gateway opens in a new window. The functionality does not apply to the Suite8 myStay pages.

Check: YES

Blank: NO

Enable Check In on MyStay Manager

Check: YES

Blank: NO

Manage Profile Pictures

Defines if the Guest Picture section is available on the General Data tab under My Account; a picture can be selected from the local computer and uploaded to the Suite8 Homepage user profile.

Check: YES

Blank: NO

Max Height

Defines the maximum picture height; the maximum recommended height is 220.

Max Width

Defines the maximum picture width; the maximum recommended width is 362.

Maximum Number of Adults

The maximum number of adults allowed for a reservation made via the Suite8 Homepage.

Maximum Number of Persons

The maximum number of persons allowed for a reservation made via the Suite8 Homepage.

Maximum Number of Children per Child Category

The maximum number of children allowed per child category for a reservation made via the Suite8 Homepage.

Minimum LOS

Defines the minimum number of days for a reservation request via the Suite8 Homepage. If for example, this is set to 2 then the message:

"Length of stay is less than allowed for online reservation (min is 2 days)" is displayed when the length of stay is less than 2 days.

Maximum LOS

Defines the maximum number of days for a reservation request via the Suite8 Homepage. If for example, this is set to 30 then the message: "Length of stay is more than allowed for online reservation (max is 30 days)" is displayed when the length of stay exceeds 30 days.

Basket Confirmation Letter

Defines the confirmation letter to be used when checking out the shopping cart.

Select from list box.


CCM

Field | Definition | Legal Values
Confirmation Letter Report | Defines the report to be used when sending a confirmation letter for a web booking | Select from list box.
Market Segment | Defines the default market code to be used by the CCM web booking interface if the market code is not specified when the booking is created. | Select from list box.
Source Code | Defines the default source code to be used by the CCM web booking interface if the source code is not specified when the booking is created. | Select from list box.
Channel Code | Defines the default channel code to be used by the CCM web booking interface if the channel code is not specified when the booking is created. | Select from list box.
Notes Category | Defines the default notes category to be used by the CCM web booking interface if the notes category is not specified when the booking is created. | Select from list box.
Conference Manager | Defines the default conference manager to be used by the CCM web booking interface if the conference manager is not specified when the booking is created. | Select from list box.


Table Reservation

Field | Definition | Legal Values
Maximum Number of Persons | The maximum number of persons allowed for table reservations made via Suite8 Homepage |


Questionnaire

Field | Definition | Legal Values
Send Email Notification | Defines if an email notification is sent when an online questionnaire is completed. The XML Interface sends the email when it receives an online questionnaire. | Check: YES Blank: NO
Notification Email | The email address of the person responsible for completed online questionnaires. Multiple email addresses can be entered. |
Notification Report | The required notification report. The report 71212 Questionnaire Notifier is suppled with Suite8. | Select from list box.
Notification Subject Report | The required notification subject report. The report 71213 Questionnaire Notifier Subject is supplied with Suite8. | Select from list box.

  • The reports are configured via the option Reports under the Miscellaneous menu using the Internal Editor functionality. Notification reports must exist with the section role Email Template or Special Reports and the source type Text Format Template.


Registration

Field

Definition

Legal Values

Show Preferences

Defines if the Preferences tab is displayed on the My Account page.

The preferences tab displays special requests entered on the guest profile, such as, newspapers, number of extra pillows and mailing preferences.

Check: YES

Blank: NO

Show Other Preferences

Defines if the option Other Preferences is displayed on the Preferences tab on the My Account page.

The Other preferences option may be used to enter Guest Service Requests.

Check: YES

Blank: NO

Show Reservations

Defines if the Reservations tab is displayed on the My Account page.

Past and future reservations are listed for the logged in user/guest.

Check: YES

Blank: NO

Show Table Reservations

Defines if the Table Reservations tab is displayed on the My Account page. The Table Reservations tab displays the table reservations for the logged in guest.

Check: YES

Blank: NO

Show Bonus Points

Defines if the Bonus Point tab is displayed on the My Account page.

The bonus points tab displays details of the Membership Schema for the logged in Guest, such as the Membership Number, Membership Type, Current Points and the Bonus Point Statement

Check: YES

Blank: NO

Show Registered Events

Defines if the Registered Events tab is displayed on the My Account page. The registered events tab displayed details about the guests registration for future events.

Check: YES

Blank: NO

Show Allotments

Defines if the Allotments tab is displayed on the My Account page.

The agent linked to the Corporate Id under Pickup Agent can view and pick up rooms from a block reservation on the Allotments tab.

Note: Only available if the parameter Use Block Pickup Agents is active under Global Settings->Reservations->Reservation 4 tab.

Check: YES

Blank: NO

Show Profile Custom Page

Defines if the Custom page tab is displayed on the My Account page.

The custom page is defined by the property; it can also references other HTML pages.

Note: Requires that the file S8HPCustomPage.htm is located in the Suite8 HTML directory.

Check: YES

Blank: NO


Calendar Events

Field | Definition | Legal Values
Default Number of Search Days | Defines the number of days in the future to display calendar events. |
Show Event Locations | Defines if the calendar event location is displayed on the Suite8 Homepage calendar events page; events can also be filtered by location. | Check: YES Blank: NO


Changes in Suite8 Setup

The following items have to be defined. Note: the existing market, channel and source codes can be used if no additional codes are required for web reservations.

  • Default market code for web booking - if required, define a new market code for web bookings under Setup → Configuration → CRM → Market Segments.

  • Default source code for web booking - if required, define a new source code for web bookings under Setup → Configuration → CRM → Marketing Info → Sources.

  • Default channel code for web booking - if required, define a new channel code for web booking under Setup → Configuration → Reservations → Reservation Attributes → Channel Codes.

  • Attribute Categories and Enable Attributes - if specials should be available for web bookings enable Specials as available for web booking under Setup → Configuration → CRM → Attribute Categories. The specials can then be defined as web enabled under Setup → Configuration → CRM → Marketing Information. Web enabled specials can be selected under Preferences on the Suite8 homepage registration form.

  • Define manual credit cards for the check - if a credit card interface is installed, define a manual credit card under Setup → Configuration → Cashiering → Credit Card Types.

  • Define a Profile Match Point Setup - a profile match with the type Miscellaneous Interfaces must be defined; see How to configure a profile match under Setup → Configuration → Miscellaneous → Profile Match Point Setup.

  • Define a Profile Merge Rule - a profile match with the type Miscellaneous Interfaces must be defined; see How to configure interface profile merge rule sets under Setup → Configuration → Miscellaneous → Profile Merge Setup → Interface profile merge rule sets.

  • Availability Limits - used to define availability limits enable restricting availability per booking channel. Limit groups are defined in Fidelio Suite8 with the quick key Availability (Ctrl + D); see Availability Limits for how to define a limit group and set availability limits. Once an availability limit group has been defined for the Fidelio Suite8 Homepage the limit group has to be assigned in the option S8HP Avl. Limit under Setup → Configuration → Global Settings → Interfaces → Interface 2 tab → XML Interface.

The following configuration items require the options which should be available for web bookings to be enabled:

  • Enable Rates for web booking - enable the rates which should be published on the web have to be marked as web enabled under Setup → Configuration → Reservations → Rate Management → Rates; see How to configure rates

On the Web tab the rate can be marked as open for web booking and the short and long rate information to be displayed on the Suite8 homepage and/or on mobile devices can be entered. Information can be entered using HTML coding, for example the information that the rate is including a buffet breakfast:

<hr><b>Bed and Breakfast</b><br> The rate includes full buffet breakfast

</p>

The following is an example with line break, bold, using a different font and a different colour:

</HEAD>

<BODY><STRONG><EM><FONT face=Verdana color=#0000ff size=4>Weekendrate</FONT></EM></STRONG></BODY></HTML><BR>

</HEAD>

<BODY><STRONG><EM><FONT face=Verdana color=#0000ff size=4>Only Saturday and Sunday</FONT></EM></STRONG></BODY></HTML>

  • Enable Packages - enable packages for web booking under Setup → Configuration → Reservations → Rate Management → Packages; see How to configure packages

On the Web tab the package can be marked web enabled and the short and long package information to be displayed on the Suite8 homepage and/or on mobile devices can be entered. Only activate the packages which should be available on the web booking engine.

On the Pictures tab mark the pictures as web enabled if the package picture should be available on the Suite8 homepage; the image type defines where the picture should display, either WEB, Mobile Device or Thumbnail.

  • Room types - enable the room types for web booking under Setup → Configuration → Reservations → Room Management → Room Types; see How to configure room types

On the Room Type tab enter the number of rooms per room type that will remain for house availability in the field Web Threshold, the number entered here will be deducted from the web availability, for example, if the total number of double rooms is 80 and the field web threshold is set to 10, 70 double rooms can be booked via the Suite8 Homepage.

On the Pictures tab mark the pictures as web enabled if the picture(s) of the room type should be available on the Suite8 homepage. The pictures are automatically downloaded to the Web Server via the XML interface; the download happens only when new pictures have been added or if a picture is changed.

On the Web tab the short and long room type information can be entered to be displayed on the Suite8 homepage and/or on mobile devices.

On the Ext. Web Info tab additional room type information can be entered to be displayed on the Suite8 homepage and/or on mobile devices.

  • Advertisement Ticker - advertisement text to be displayed on the Fidelio Suite8 homepage can be configured via the option Advertisement Ticker under Setup → Configuration → Suite8 Homepage; see How to configure an advertisement ticker

  • Availability Calendar - if the availability calendar is displayed on the Suite8 homepage then the availability colours reflecting the occupancy percentage are defined via the option Availability Colors under Setup → Configuration → Suite8 Homepage.

  • Web Selling Categories - web selling categories can be used to post special arrangements on the Suite8 homepage and are defined via the option Web Selling Categories under Setup → Configuration → Suite8 Homepage. For the customer this is an overview about the special rates offered by a property and for the property web selling categories allow the posting of special rates to their web booking clients at arrangement, room only or last minute level.

  • Voucher Management - voucher to be sold on the Suite8 homepage types are defined via the option Voucher Types under Setup → Configuration → Voucher Management. The voucher type has to be marked as Web Enabled, a name, short description and long description have to be entered for displaying on the web.

  • Global Settings for the XML Interface - the global settings for the XML Interface are configured on the Interface 2 tab under Setup → Configuration → Global Settings → Interfaces.


Changes in Suite8 Setup for CCM

The following items have to be defined:

  • Default market code for web booking - select an existing market code or define a new market code under Setup → Configuration → CRM → Market Segments.

  • Default source code for web booking - select an existing source code or define a new source code under Setup → Configuration → CRM → Marketing Info → Sources.

  • Default note category for web booking - select an existing note category or define a new note category under Setup → Configuration → CRM → Note Categories.

  • The Market Segment, Source Code, Channel Code, Notes Category and the default Conference Manager for web bookings have to be linked under Setup → Configuration → Global Settings → CCM → Web Booking 3 Tab.

The following configuration items require the options which should be available for web bookings to be enabled:

  • Attribute Categories and Enable Attributes - if specials should be available for web bookings enable Specials as available for web booking under Setup → Configuration → CRM → Attribute Categories. The specials can then be defined as web enabled under Setup → Configuration → CRM → Marketing Information. Web enabled specials can be selected under Preferences on the Suite8 homepage registration form.

  • Status definition for web booking - enable the status definitions which should be available for web bookings or create a new status for web bookings under Setup → Configuration → Conference Management → Status Definition. Allocate a Web Name for the status to be displayed on the web booking, if no name is defined, the status description is displayed. Only activate the statuses which should be available on the web booking engine.

  • Seating arrangements for web booking - enable seating arrangements for web booking under Setup → Configuration → Conference Management → Function Space → Seating Arrangements. Only activate the seating arrangements which should be available on the web booking engine.

  • Packages for web booking - enable packages for web booking under Setup → Configuration → Conference Management → Packages. Only activate the packages which should be available on the web booking engine. If you do not wish to offer package bookings via CCM Web, do not enable a conference package.

  • Create a membership type for the corporate ID - define a membership with the role Corporate ID under Setup → Configuration → CRM → Membership Types. When editing a profile a corporate ID can be assigned and given to the person responsible from the company for conference bookings via Suite8 homepage. Once a corporate ID is entered on the registration form, the profile is linked to that company in Suite8 and if the corporate ID is entered on the booking, the company is linked to the booking.


Cache and Static Data

The time between the refresh of cached data such as the availability calendar and static data such as configuration details can be defined in the global.asax file.

The refresh rate of the cache and static data is important in order to increase the process speed of page loading and to decrease the load on the XML Interface.

The cache can also be refreshed manually, for example, when there is a configuration change which needs to be applied immediately.

Note: Rate availability and prices are never cached.

The refresh time is defined in hours, minutes and seconds; the settings in the global.asax file responsible for cache duration are:

  • hotel.StaticDataCacheLifeTime - defines the time between the refresh of the static data such as room types, country codes and credit card types.

Example - to refresh he static data every hour

hotel.StaticDataCacheLifeTime = new TimeSpan(1/*hours*/, 0/*minutes*/, 0/*seconds*/);

  • hotel.AvlCalendarCacheLifeTime - defines the time between the refresh of the availability calendar.

Example - to refresh the cached availability calendar details every 5 minutes

hotel.AvlCalendarCacheLifeTime = new TimeSpan(0 /*hours*/, 5/*minutes*/, 0/*seconds*/);

Note: The refresh can be disabled by assigning null to the appropriate values.

How to clean the cache immediately

  1. Open the localhost connection using the address: http://localhost/V8Client/RefreshCache.aspx

or

  2. On the Configuration menu click Suite8 Homepage.

  3. Click Setup and then click Refresh Cache.

The Refresh Cache page is opened and Done is displayed when the cache has been cleared.

Note: This process cleans the cache of ALL users, not only the current session.

  • The cache can be refreshed immediately via the option Refresh Cache under Setup → Configuration → Suite8 Homepage → Setup.


Detail displayed on the Price and Package Overview page

How to define the level of detail displayed on the Price and Package Overview page

When making a reservation via the Suite8 Homepage the Price and Package Overview page is displayed once the basic reservation criteria have been selected. On this page the defined Short Web Info and a 'Read more' link to the Long Web Info text are displayed along with the price range for each of the available rate codes.

The level of detail that is shown by default in addition to the above information is controlled in the global.asax file by the parameter hotel.nodeExpandLevel = NodeExpandLevel.neRoomTypes; the possible values are:

  • neNone - displays only the price range, the available room types can be displayed by clicking the arrow (default)

  • neRoomTypes - displays a list of the available room types, the room description can be displayed by clicking the

  • neRoomTypeDetails - displays a list of the available room types with their room description

  • The display of the available room types and level of detail on the Price and Packages Overview page is controlled in the global.asax file by the parameter hotel.nodeExpandLevel = NodeExpandLevel.neNone;

    //Defines to which extent the data should be auto expanded on the ShowBriefPrices page

    //neNone - no auto expand

    //neRoomTypes - Only room types names will be shown

    //neRoomTypeDetails - room types names and description will be shown

    //Default is neNone

    hotel.nodeExpandLevel = NodeExpandLevel.neRoomTypes;


How to configure an attribute as mandatory

Attributes are user-definable list boxes which may be used to collect additional non-standard information about a guest. Attributes are displayed on the Preferences tab which can be accessed when registering or via the option My Account.

Key Points

  • Attributes are defined in Suite8 and when set as web-enabled they are displayed also on the Suite Homepage

  • Attributes can be defined as mandatory or optional; mandatory attributes are displayed with a red star

  • If a mandatory field is not completed then an error message is displayed next to the specific field and also listed above the general data tab.

Attribute functionality requires the following setup:

  • Definition of the required Attribute Categories under Setup → Configuration → CRM. The attribute category must be defined as Individual in the Profile section and if the attribute is mandatory then select the option Mandatory. To display an attribute category on the Suite8 Homepage the option Available in Web Booking in the section Other.

  • Definition of the required Marketing Info under Setup → Configuration → CRM. The elements must be marked as Web Enabled via the option Marketing Info.

  • The display of the Preferences tab on the My Account page is controlled by the option Show Preferences under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.

  • Attribute categories (list boxes), where they are displayed and whether they are mandatory or not are defined via the option Attribute Categories under Setup → Configuration → CRM.

  • For each attribute category defined a marketing info category is created. The elements for each new list box are defined via the option Marketing Info under Setup → Configuration → CRM.


How to add a custom field to the registration page

Properties can now add a custom field to the Personal Data section on the Suite8 Homepage registration page.

A custom field can be added to the table YPCF which contains the custom fields for the profile table XCMS. The custom fields are then added to the XML configuration file S8HPXMLConfig.config; this file consists of the mandatory fields and the custom fields:

  • MandatoryFields - lists the fields which are mandatory in each of the following pages

  • RegistrationPage - lists the fields which are mandatory on the main registration page

  • UserNoDataLoginPage - lists the fields which are mandatory when the user selects no login

  • ProfileEdit - lists the fields which are mandatory when editing a user profile

  • ProfileCustomFields - lists the user-defined fields

In this example, the field Free text has been added as an optional field.

How to add customized fields

Before fields can be included they must first be added to the relevant database table via TOAD or SQL Developer:

In this example we have added the field ypcf_freetext1 with the data type VARCHAR2 to the profile edit table YPCF:

alter table ypcf add ypcf_freetext1 varchar2(2000);

  1. Open the file S8HPXMLConfig.config.

  2. Add the custom field to the section ProfileCustomFields.

CustomField consists of the following attributes:

caption - the caption which will be displayed on the screen; this will also be used as the identifier for the translation in the TranslationException.xml.

controlType - the type of field.

fieldName - the field name without the file name, for example, for the field YPCF_FREETEXT1, the attribute fieldName should be fieldName="FREETEXT1"

maxlength - defines the maximum number of characters which can be entered.

The field will now be displayed both when registering a new user and when editing the profile of an existing user.

Mandatory Fields

  3. If the field should be mandatory, it has to be listed in the appropriate MandatoryFields section and the control attribute must be prefixed with custom_

<MandatoryFields>

<RegistrationPage>

<fields>

<field control="custom_FREETEXT1" mandatory="true" mandatoryError="Free text is missing"/>

Mandatory fields are indicated with a red star; if a mandatory field is not completed then an error message is displayed next to the specific field and also listed above the general data tab.


How to change the background color

Suite8 Homepage can be displayed with either a light or dark color theme.

The color of the theme is controlled in the main.css file located in the directory: C:\inetpub\wwwroot\V8Client\Content\css.

  • Dark Theme - @import "theme-dark.css";

  • Light Theme - @import "theme-light.css";


How to display social network buttons

Social network share buttons can be displayed on the bottom of the Suite8 Homepage Inquiry page.

Clicking a button will open the corresponding page in Facebook, Twitter or GooglePlus.

The network buttons which can be displayed are:

- to Like the page on Facebook

- to share a link with your followers on Twitter

- to publicly recommend on Google

  • The display of the Facebook button on the Suite8 Homepage is controlled by the parameter Show Facebook Button under Setup → Configuration → Suite8 Homepage → Setup → Tab 1.

  • The display of the Facebook button on the Suite8 Homepage is controlled by the parameter Show Twitter Button under Setup → Configuration → Suite8 Homepage → Setup → Tab 1.

  • The display of the Facebook button on the Suite8 Homepage is controlled by the parameter Show GooglePlus Button under Setup → Configuration → Suite8 Homepage → Setup → Tab 1.

Note: The social network buttons will only work on a public URL and will not work on a localhost connection.


How to add an availability calendar to the inquiry page

An availability calendar colored to reflect the occupancy percentage per day can be displayed on the inquiry page of the Suite8 Homepage.

The calendar can also be opened directly on the Suite8 home page by selecting dates on the calendar and entering the number of adults. The proposed prices page ShowBriefPrices is displayed upon pressing the search button.

The display of the availability calendar requires the following:

  • The file AvlCalendar.ascx has to reside in the directory C:\Inetpub\wwwroot\V8Client.

  • The parameter line hotel.AvailabilityCalendar = true; must be activated in the global.asax file which is located in the directory: C:\Inetpub\wwwroot\V8Client.

  • Configuration of the occupancy percentage, display color and text description via the option Availability Colors under Setup → Configuration → Suite8 Homepage.

The following parameters can be used when opening the availability calendar with a direct link:

  • bc=color hex code - background color, for example, bc=DEFFDE

  • cl=color hex code - font color, for example, cl=336600

  • culture=language code - language culture, for example, culture=En-GB

For example, the link below will display the availability calendar in English with a light green background and dark green font.

http://localhost/v8client/Widgets/AvailCalendar.aspx?bc=DEFFDE&cl=336600&culture=En-GB

Note: When using Hotel Segmentation on Suite8 Homepage the Availability Calendar has to be deactivated in the file global.asax.


How to customize greetings

It is possible to customize the greeting which is displayed on the reservation details (reservation.aspx) and confirmation (confirmation.aspx) pages when making a new reservation.

The following fields can be used:

  • profile.FirstName

  • profile.LastName

  • profile.Greeting

  • profile.Email

Example: Reservation.aspx

<%=profile.FirstName + " " +profile.LastName%> is displayed "Jane Smith"

Example: Confirmation.aspx

<%=profile.Greeting + " " + profile.FirstName + " " + profile.LastName%> is displayed as "Ms. Jane Smith"

Note: The reservation.aspx and confirmation.aspx files are located in the directory: C:\Inetpub\wwwroot\V8Client\resProcess.


How to use hotel segments

Hotel segments may be used for multi-site properties using a single property management system; where the differentiation is done via hotel segments. It may also be used by properties that wish to differentiate between regular floors and executive floors or different buildings.

When the Suite8 Homepage is opened the segment selection is displayed on the inquiry page so that when making a reservation a specific wing or building of the property can be selected. The Suite8 Homepage can also be opened with parameters so that the inquiry page defaults to a specified segment, in this case, the segment selection box is not displayed.

Suite8 Homepage segmentation functionality requires the following setup:

  • Activation of the parameter Show Hotel Segment Combo under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.

  • Definition of the segments in the global.asax file.

Each segment can be defined with a Header Name, Address, Phone and Final Page; any data assigned to the properties web site, such as telephone and address are populated into the segment details. The number of defined segments is not limited, however, they need to match the configured and linked segments in the Suite8 Configuration.

Hotel Segment Setup

In the global.asax file define the hotel segments, in this example the first segment is called SG1 and the second SG2:

HotelSegment segment1 = hotel.addSegment("SG1");

segment1.headerName = "Main building";

segment1.headerNameLine2 ="";

segment1.adressLine1 = "Franklinstr 15";

segment1.adressLine2 = "10587 Berlin";

segment1.phone = "Phone of Segment 1";

segment1.fax = "Fax of Segment 1";

segment1.email = "Segment1@@micros.com";

segment1.webSite = "http://www.micros-fidelio.eu/segment1";

segment1.finalPage = "http://www.micros-fidelio.eu";

HotelSegment segment2 = hotel.addSegment("SG2");

segment2.headerName = "New Building";

Using the parameter ?segment=SG1 or ?segment code in the URL address.

On a localhost connection to display the segment selection you would enter:

http://localhost/v8client/?SG1 or http://localhost/v8client/?SG1

On a localhost connection to display only the segment code SG1 you would enter:

http://localhost/v8client/Inquiry.aspx?segment=SG1

  • The display of the hotel segments on the inquiry page is controlled by the parameter Show Hotel Segment Combo under Setup → Configuration → Suite8 Homepage → Set up → Tab 2.

  • Hotel Segmentation functionality is controlled by the parameter Hotel Segmentation under Setup → Configuration → Global Settings → Reservations → Reservation 4 tab.

  • In addition Hotel Segments must be configured under Setup → Configuration → Common Functions → Hotel Segments and Hotel Segment Link.

Note: Hotel segmentation and the availably calendar can not be used together; if hotel segments are used on the Suite8 Homepage the availability calendar has to be deactivated in the global.asax file.


How to encrypt the XML Interface password

The password for the XML Interface user must be entered into the global.asax encrypted.

How to encrypt a password

  1. Locate the FidelioV8DBPasswordEncrypt.exe in the Suite8 Program directory.

  2. Double click the file to display the Password Encryptor screen.

  3. Enter the password to be encrypted.

The encrypted password can then be entered into the global.asax file which is usually located in the directory c:\inetpub\wwwroot\V8Client.

  • The XML Interface user is defined via the option User Definition under Setup → Configuration → Users.

Note: For Suite8 Homepage the requests are always sent with PasswordEncrypted='true'. For the XML Interface it is possible to use either PasswordEncrypted='true' or 'false' in order to use encrypted or decrypted passwords. If a request does not contain the attribute PasswordEncrypted, the decrypted password is accepted to make sure that existing requests from third party interface will work.


How to add fade out effects

Fade out effects when navigating through Suite8 Homepage can be generated by adding the following line to the <head> section of the aspx files:

<meta http-equiv="Page-Exit"content="progid:DXImageTransform.Microsoft.Fade(duration=.5)"

/>


How to integrate a TrustYou Widget

With a recent agreement Micros-Fidelio does offer TrustYou analytics semantic web search for Suite8 customers. Together with this cooperation Micros-Fidelio is allowed to integrate a SEAL into Suite8 Homepage reflecting the feedback on the various customer portals.

TrustYou Social Media Analytics is linked to Suite8 Homepage via the advertisement ticker. The analytic code and the URL Parameters are provided by TrustYou. The information received from TrustYou is then entered as follows as an Advertisement Ticker:

Name: TrustYou

Advertisement Text example:

<div class="imgFloatLeft"><iframe

src="http://widgets.trustyou.com/widgetizer?id=<YOUR HOTEL ID>&module=2&size=big&lang=de&type=ty"

frameborder="0" width="100px"></iframe></div> <p>TrustYou reflects the unfiltered and honest opinions of our guests.</p>

Integrating a CSV departure Report request

For integrating a CSV departure Request, the following SQL can be used:

TRUSTYOU_EXPORT.sql

chr(239) || chr(187) || chr(191) ||

(select wuss_value from wuss where wuss_name='UDEF_TRUST_YOU_HOTEL_ID')||';'||

V8_REP_YRES_INFOS.EMAIL||';'||

str2xml((select XCMS.XCMS_NAME3 from xcms where XCMS.XCMS_ID=V8_REP_YRES_INFOS.YRES_XCMS_ID))||';'||

str2xml((select XCMS.XCMS_NAME1 from xcms where XCMS.XCMS_ID=V8_REP_YRES_INFOS.YRES_XCMS_ID))||';'||

to_char(V8_REP_YRES_INFOS.YRES_EXPARRTIME,'YYYY-MM-DD')||';'||

to_char(V8_REP_YRES_INFOS.YRES_EXPDEPTIME,'YYYY-MM-DD')||';'||

nvl((select lower(WLAN_iso2) from wlan where wlan_id=V8_REP_YRES_INFOS.WLAN_ID),'de') EXPORTWERT

--V8_REP_YRES_INFOS.EMAIL EXPORTWERT

from v8_rep_yres_infos where V8_REP_YRES_INFOS.POT_EMAIL_CANDI=1 and

V8_REP_YRES_INFOS.YRES_RESSTATUS=1 and

V8_REP_YRES_INFOS.YRES_EXPDEPTIME=:parameter

This Export can be copied under Export at the properties site.

Specials about this export:

It uses an UTF-8 Code for the fields Firstname and Lastname, which is completed by the function:

STR2XML

CREATE OR REPLACE FUNCTION Str2XML(

sInput IN VARCHAR

)

RETURN VARCHAR is

Result VARCHAR(2000);

>BEGIN

Result := convert(DBMS_XMLGEN.CONVERT(sInput), 'UTF8');

RETURN Result;

END Str2XML;

/

To identify the export as UTF-8, it is necessary to pass at the beginning 3 Bytes: chr(239) || chr(187) || chr(191) || …

The name of the file is free definable, but should end with .CSV


How to activate log functionality

Log information can be written from the Suite8 Homepage to a log file.

Log functionality is configured in the file Web.config and is located in the directory: C:\Inetpub\wwwroot\V8Client.

In this file the section <logger> may be used to define the log file name, level, format type, size and location.

<logger>

<log name="V8Log">

<param name="LOG_LEVEL" value="WARNING" />

<param name="LOG_FORMAT" value="XML" />

<param name="LOG_TYPE" value="DISK" />

<param name="LOG_SIZE" value="2560" />

<param name="LOG_PREFIX" value="V8WebApplication" />

<param name="LOG_PATH" value="c:\temp" />

</log>

</logger>

All parameters, except <log name="V8Log"> can be changed by users.

Configurable Parameters

Parameter

Description

Available Values

Log_Level

Defines the type of information which is logged.

TRACE - everything will be logged.

DEBUG - traces will not be logged; the log will contain information about global events, such as, every page request and session started.

MESSAGE - traces and debug information will not be logged. Currently contains information when the reservation is created.

WARNING - traces, debug and messages will not be logged.

ERROR - only errors and fatal errors will be logged.

FATAL - only fatal errors will be logged.

Log_Format

Defines the log file format.

TEXT - the log is written to a text file.

XML - the log is written to an XML file. Note: The files: down.gif, log.xsl and up.gif have to be placed in the defined log directory; the files are located under inetpub\wwwroot\logger.

Log_Type

Defines how log files will be written.

DISK DISK type - the log messages are written to disk.

DISCARD DISCARD type - the log messages are discarded.

Log_Size

Defines the log rollover size.

Log_Prefix

Defines the log file name prefix.

Log_Path

Defines the directory where log files are stored.

Note: When returning a generic error message on Suite8 Homepage or XML Interface the error code and the first 60 characters of the error message are prompted. The complete error message is stored and can be looked up in the Suite8 Homepage log file.


Unattended Login

Functionality is available in order to accept a login without user interaction, this functionality requires the page UnattendedLogin.aspx.

The following is an example of how it can be called:

Unattended Login Example

<html>

<body>

<form name="frmRedirect" action="../UnattendedLogin.aspx?ReturnUrl=Inquiry.aspx" method="post">

<input type="hidden" name="userName" value="demo" />

<input type="hidden" name="password" value="demo" />

<script language="javascript" type="text/javascript">

var f;

if (window.navigator.appName.toLowerCase().indexOf("netscape") > -1) {

f = document.forms["frmRedirect"];

}

else {

f = document.frmRedirect;

}

f.submit();

</script>

</body>

<html>


Alternate URL Address

An alternate URL address can be defined in the global.asax file in order to redirect the XML Interface to the alternate address in case the connection to the usual XML URL address fails.

How to use an alternate URL Address

  1. In the global.asax file activate the following line:

hotel.alternativeURL = "http://HOST_ALTERNATIVE/V8/FidelioIISWrapper.dll/FidelioXMLInterface.DataHandler";

  2. In the S8HPXMLConfig.config file define when the alternate URL should be used:

There are 2 possible options:

  • ExceptionType - should contain the elements for every exception type; if the exception type occurs then the alternate URL address will be used.

  • ErrorMessageString - should contain all the relevant error strings; if the error contains the configured string the alternate URL will be used.

S8HPXMLConfig.config - example code

<UseAlternativeURLRules>

<ExceptionTypes>

<ExceptionType>System.Net.WebException</ExceptionType>

</ExceptionTypes>

<ErrorMessageAnalysis>

<ErrorMessageString>Catastrophic failure</ErrorMessageString>

</ErrorMessageAnalysis>

</UseAlternativeURLRules>


Variables

The file global.asax is the configuration file for Suite8 Homepage and MyCCM Homepage and is located in the directory: C:\Inetpub\wwwroot\V8Client.

In this file the URL address, user name and password for the xml interface are defined and among other defaults, the default market, source and channel code used by Front Office and CCM.

The following table lists some of the variables which can be set in the global.asax file.

Field

Variable

Description

Adding a default language

hotel.languageCulture

Example: To set the default language to German the following line has to be added:

hotel.languageCulture = "de-DE";

This variable defines the default language for both Front Office and CCM.

The possible parameter values are as follows:

  • En-GB for English

  • de-DE for German

  • Ru-RU for Russian

  • fr-BE for French

  • nl-NL for Dutch

  • bg-BG for Bulgarian

Offering multiple languages

hotel.AddLanguage

Example:

hotel.AddLanguage("English", "flagge_en.gif", "En-GB");

hotel.AddLanguage("German", "flagge_de.gif", "de-DE");

hotel.AddLanguage("Russian", "flagge_ru.gif", "Ru-RU");

This variable enables additional language choices to be displayed on the Suite8 Homepage. Any .net supported language can be added to the global.asax file.

Adding the lines in the example will display the following languages on the Suite8 Homepage.

Net Language Support Culture Names

Culture Name Language-Country/Region

Af Afrikaans

af-ZA Afrikaans - South Africa

Sq Albanian

sq-AL Albanian – Albania

Ar Arabic

ar-DZ Arabic – Algeria

ar-BH Arabic – Bahrain

ar-EG Arabic – Egypt

ar-IQ Arabic – Iraq

ar-JO Arabic – Jordan

ar-KW Arabic – Kuwait

ar-LB Arabic – Lebanon

ar-LY Arabic – Libya

ar-MA Arabic – Morocco

ar-OM Arabic – Oman

ar-QA Arabic – Qatar

ar-SA Arabic - Saudi Arabia

ar-SY Arabic – Syria

ar-TN Arabic – Tunisia

ar-AE Arabic - United Arab Emirates

ar-YE Arabic – Yemen

Hy Armenian

hy-AM Armenian – Armenia

Az Azeri

az-AZ-Cyrl Azeri (Cyrillic) – Azerbaijan

az-AZ-Latn Azeri (Latin) – Azerbaijan

Eu Basque

eu-ES Basque – Basque

Be Belarusian

be-BY Belarusian – Belarus

Bg Bulgarian

bg-BG Bulgarian – Bulgaria

Ca Catalan

ca-ES Catalan – Catalan

zh-HK Chinese - Hong Kong SAR

zh-MO Chinese - Macau SAR

zh-CN Chinese – China

zh-CHS Chinese (Simplified)

zh-SG Chinese – Singapore

zh-TW Chinese – Taiwan

zh-CHT Chinese (Traditional)

Hr Croatian

hr-HR Croatian – Croatia

Cs Czech

cs-CZ Czech - Czech Republic

Da Danish

da-DK Danish – Denmark

Div Dhivehi

div-MV Dhivehi – Maldives

Nl Dutch

nl-BE Dutch – Belgium

nl-NL Dutch - The Netherlands

En English

en-AU English – Australia

en-BZ English – Belize

en-CA English – Canada

en-CB English – Caribbean

en-IE English – Ireland

en-JM English – Jamaica

en-NZ English - New Zealand

en-PH English – Philippines

en-ZA English - South Africa

en-TT English - Trinidad and Tobago

en-GB English - United Kingdom

en-US English - United States

en-ZW English – Zimbabwe

Et Estonian

et-EE Estonian – Estonia

Fo Faroese

fo-FO Faroese - Faroe Islands

Fa Farsi

fa-IR Farsi – Iran

Fi Finnish

fi-FI Finnish – Finland

Fr French

fr-BE French – Belgium

fr-CA French – Canada

fr-FR French – France

fr-LU French – Luxembourg

fr-MC French – Monaco

fr-CH French – Switzerland

Gl Galician

gl-ES Galician – Galician

Ka Georgian

ka-GE Georgian – Georgia

De German

de-AT German – Austria

de-DE German – Germany

de-LI German – Liechtenstein

de-LU German – Luxembourg

de-CH German – Switzerland

El Greek

el-GR Greek – Greece

Gu Gujarati

gu-IN Gujarati – India

He Hebrew

he-IL Hebrew – Israel

Hi Hindi

hi-IN Hindi – India

Hu Hungarian

hu-HU Hungarian – Hungary

Is Icelandic

is-IS Icelandic – Iceland

Id Indonesian

id-ID Indonesian – Indonesia

It Italian

it-IT Italian – Italy

it-CH Italian – Switzerland

Ja Japanese

ja-JP Japanese – Japan

Kn Kannada

kn-IN Kannada – India

Kk Kazakh

kk-KZ Kazakh – Kazakhstan

Kok Konkani

kok-IN Konkani – India

Ko Korean

ko-KR Korean – Korea

Ky Kyrgyz

ky-KZ Kyrgyz – Kazakhstan

Lv Latvian

lv-LV Latvian – Latvia

Lt Lithuanian

lt-LT Lithuanian – Lithuania

Mk Macedonian

mk-MK Macedonian – FYROM

Ms Malay

ms-BN Malay – Brunei

ms-MY Malay – Malaysia

Mr Marathi

mr-IN Marathi – India

Mn Mongolian

mn-MN Mongolian – Mongolia

No Norwegian

nb-NO Norwegian (Bokmål) – Norway

nn-NO Norwegian (Nynorsk) – Norway

Pl Polish

pl-PL Polish – Poland

Pt Portuguese

pt-BR Portuguese – Brazil

pt-PT Portuguese – Portugal

Pa Punjabi

pa-IN Punjabi – India

Ro Romanian

ro-RO Romanian – Romania

Ru Russian

ru-RU Russian – Russia

Sa Sanskrit

sa-IN Sanskrit – India

sr-SP-Cyrl Serbian (Cyrillic) – Serbia

sr-SP-Latn Serbian (Latin) – Serbia

Sk Slovak

sk-SK Slovak – Slovakia

Sl Slovenian

sl-SI Slovenian – Slovenia

Es Spanish

es-AR Spanish – Argentina

es-BO Spanish – Bolivia

es-CL Spanish – Chile

es-CO Spanish – Colombia

es-CR Spanish - Costa Rica

es-DO Spanish - Dominican Republic

es-EC Spanish – Ecuador

es-SV Spanish - El Salvador

es-GT Spanish – Guatemala

es-HN Spanish – Honduras

es-MX Spanish – Mexico

es-NI Spanish – Nicaragua

es-PA Spanish – Panama

es-PY Spanish – Paraguay

es-PE Spanish – Peru

es-PR Spanish - Puerto Rico

es-ES Spanish – Spain

es-UY Spanish – Uruguay

es-VE Spanish – Venezuela

Sw Swahili

sw-KE Swahili – Kenya

Sv Swedish

sv-FI Swedish – Finland

sv-SE Swedish – Sweden

Syr Syriac

syr-SY Syriac – Syria

Ta Tamil

ta-IN Tamil – India

Tt Tatar

tt-RU Tatar – Russia

Te Telugu

te-IN Telugu – India

Th Thai

th-TH Thai – Thailand

Tr Turkish

tr-TR Turkish – Turkey

Uk Ukrainian

uk-UA Ukrainian – Ukraine

Ur Urdu

ur-PK Urdu – Pakistan

Uz Uzbek

uz-UZ-Cyrl Uzbek (Cyrillic) – Uzbekistan

uz-UZ-Latn Uzbek (Latin) – Uzbekistan

Vi Vietnamese

vi-VN Vietnamese – Vietnam

Displaying the highest rate on top

hotel.highestRateOnTop

In the global.asax file activate the parameter line with this variable to display all available rate codes in descending order starting with the highest rate code.

Displaying the room type with the highest room rate on top

hotel.highestRoomPriceOnTop

In the global.asax file activate the parameter line with this variable to display all available room rates are sorted and the room type with the highest rate is displayed on top.

Displaying available rates in ascending order

hotel.showMultipleRates

In the global.asax file activate the parameter line with this variable to display all available rate codes in ascending order starting with the lowest rate code.

Define maximum number of rooms

hotel.maxNoOfRooms

This variable defines the maximum number of rooms allowed for Suite8 Homepage reservation requests.

If the variable is set to 5, the message: Number of rooms more than allowed (max is 5) is displayed when requesting more than 5 rooms.

Define maximum departure date

hotel.maxDaysFromToday

This variable defines the maximum departure date for a reservation. If the variable is set to 30, the departure date can not be later than 30 days from today.

Default address type

hotel.addressType

This variable defines the default address type used when registering a new profile. The address type has to be configured in Suite8 and the short description of the default address type entered in the file global.asax.

Viewing past reservations

hotel.daysOfReservationHistory

This variable defines the number of days in the past for history reservation display. If the variable is set to 30, history reservations will display for 30 days in the past.

Adding reservation attributes

hotel.reservationAttributes.Add("AAA", "BBB");

Reservation attributes that should be added to each reservation coming via Suite8 Homepage can be assigned by changing the line in the global.asax file.

For example: hotel.reservationAttributes.Add("SPE", "TOW"); The first is the short description of the attribute category and the second is the short description for the actual attribute.

Adding a default guarantee code

hotel.defGuarantee

Example: hotel.defGuarantee = "9";

This variable can be used to add a default guarantee code to all reservations made via the Suite8 Homepage. If the variable is set to 9 then reservations from the Suite8 Homepage will be filled with the guarantee code '9'.

Note: The guarantee code defined in the global.asax file should be set as active under Configuration → Reservation → Guarantee Codes.

Reservation Notes

hotel.notesCategory

This variable defines if reservation notes can be entered for the online reservation. If activated, notes can be entered when submitting the reservation. The note category defined in the file global.asax has to be configured in Fidelio Suite8 configuration. The functionality is available for reservation notes only.

Hiding reservations linked to blocks with no web promotion code

hotel.hideNotWebBlockRes

Example:hotel.hideNotWebBlockRes = true;

In the global.asax file activate the parameter line with this variable so that reservations linked to a block with no web promotion code are not displayed on the Suite8 Homepage.

Controlling access to reservations made in Suite8 PMS.

hotel.fullControlOnlyS8HPRes = true;

In the global.asax file activate the parameter line with this variable so that reservations made in Suite8 PMS can not be cancelled or changed via the Suite8 Homepage, full control is given to reservations made via Suite8 Homepage only.

Unique email address

hotel.emailIsNotUnique = true;

In the global.asax file activate the parameter line with this variable if only the user name has to be unique but not the email address.

Note: It is recommended not to use this setting.

Linking a voucher number to an online reservation

hotel.attachVouchersToReservations = true; //

In the global.asax file activate the parameter line with this variable to allow a voucher number to be linked to an online reservation.

Vouchers defined with the type Arrangement and marked as Web Enabled can be linked to the reservation on Suite8 Homepage by entering the Voucher Number.

Web selling categories

hotel.WebSalesCategory = true

In the global.asax file activate the parameter line with this variable in order to activate Suite8 Homepage web selling categories. Web selling categories allow the posting of special arrangements on the Suite8 Homepage. For the customer this is an overview about the special rates offered by a property and for the property web selling categories allow posting special rates to their web booking clients at arrangement, room only or last minute level.

If activated, the first page on Suite8 Homepage offers a rate category selection with the defined web selling categories.

On the next page, the Showbriefprices.aspx a tab for viewing All rates open for web booking and a tab for each defined web selling category is available. By default the selected rate category tab from the first page is opened.

If the rate category selection should not be available on the first page, the line: otel.ShowWebSalesCategoryOnFirstPage = false; has to be activated. Then on the Showbriefprices page, the All tab is opened by default

Note: Web Selling categories are defined under Setup → Configuration → Suite8 Homepage.

Offering alternate dates if the hotel is fully booked

hotel.altSuggestions = 4;

hotel.altSuggestionsDaysToCheck = 14;

If the hotel is fully booked on one of the days of a reservation request via Suite8 Homepage, the property can offer alternate stay periods for a reservation. The number of days offered as alternate stay period as well as the number of days to check the properties availability for is defined with the following variables:

In this example, if the reservation request is for January 23rd to 26th and the hotel is fully booked on January 24th, the first 4 alternate stay dates are: January 18th to 21st, 19th to22nd, 20th to 23rd and 21st to 24th.

The next 4 alternate stay dates are starting January 25th to 28th, 26th to 29th, 27th to 30th and 28th to 31st.

If the variable hotel.altSuggestionsDaysToCheck is set to 14, the hotel availability is checked for 14 days before and 14 days after the request.

Archived Communications (zipped)

hotel.ArchiveCommunication = true; //All communication to XML Interface will be packed

This variable defines if it is possible to send requests and request responses as zip files.. If activated,

Functionality is available to support large requests and responses by adding the following line to the global.asax file:

Viewing invoices of past stays

hotel.showInvoicesForHistoryRes=true

If activated, the Reservation history dialog displays invoice history and it is possible to download invoices for reprint,

Displaying the login and password on the first page

hotel.ShowLoginOnFirstPage = true;

In the global.asax file activate the parameter line with this variable in order to display the login and password on the first page.

Hiding history reservations

Deactivate the history reservation display in Suite8 Homepage and mystay

hotel.disableShowHistory = true;

In the global.asax file activate the parameter line with this variable in order to hide history reservations from both the Suite8 homepage and mystay pages.

Hiding invoices on mystay pages

hotel.disableMyStayInvoice = true;

In the global.asax file activate the parameter line with this variable in order to hide invoices from the mystay pages.

Open the ShowBriefPrices.aspx in a new browser window

hotel.ShowBriefPricesInNewWindow = true;

In the global.asax file activate the parameter line with this variable in order to open the ShowBriefPrices.aspx page in a new window when pressing the Search button on the first page (inquiry.aspx).

The calling process can be customized in the callPopup() function (see global.js) in the 'JS' directory of V8client. The properties of the new window can be defined in global.js -> function callPopup

Here is an example on how to open new browser window without any limit (resizable window with scroll bars):

function callPopup() {window.open("ShowBriefPrices.aspx", "_blank", "");}

Credit card mandatory

hotel.CreditCardMandatory = true

In the global.asax file activate the parameter line with this variable in order to make it mandatory to enter a credit card when booking a reservation.

If this parameter is set to false then the credit card requirements on the Suite8 Homepage are requested based on the Suite8 Configuration.

On the Policy configuration, this is defined by the option Credit Card mandatory for reservations when entering a new policy.

PayPal

Telecash

VRPay

BS Payment

hotel.onlinePaymentPluginClassName = "PayPal.PayPalPlugin"

In the global.asax file activate the parameter line with this variable in order to use the following online payment plugins.

For Paypal use PayPal.PayPalPlugin

For Telecash use Client.Telecash.TelecashPlugin

For Vr_Pay use Client.VRPay.VRPayPlugin

For BS Payment use Client.PaymentPlugins.BSPayment.BSPaymentPlugin

Credit card not required for profiles with a web login

hotel.ValidateCreditCardOnReservation = false

This parameter may be used to allow the creation of reservations for profiles with web login and password but not necessarily a valid credit card.

In the global.asax file activate the parameter line with this variable:

If this variable is set to true, which is the default, the reservation cannot be created if no valid credit card is attached to the profile.

If it is set to false reservations can be created without entering a credit card but the Suite8 profile has to have a web login and password

Note: The credit card is validated and the credit card's expiration date also verified to see that it covers the actual date of the reservation. If the expiration date of the credit card has passed, the booker is prompted upon logon to Suite8 Homepage to either choose from one of the existing valid credit cards linked to the profile and only if there are valid credit cards on the profile, these are listed or to enter a new credit card. The selected credit card or the newly, entered credit card, is then linked to the reservation made via Suite8 Homepage.

hotel.GuestActivityShowasCode = "FRE"; // default GuestActivityShowAsCategoryCode

The default Code for Task and Activities transferred via Suite8 Home Page

To use this each Activity which should be available for Web Requests has to be configured under 'Activity & Task Type' from the CRM Menu in Suite8 Configuration by selecting the Activity Type and opening the 'Web' Tab to set the Type to 'Web Enabled' and defining 'Web Short Info' and 'Web Long Info' and on the Pictures Tab, images to display on the Web for the Task or Activity can be selected. The Task & Activities can be requested by the guest via Suite8 Homepage by opening the page 'GuestRequestActivities.aspx'. To test this on a 'localhost' connection, the following URL: 'http://localhost/V8Client/GuestRequestActivities.aspx' can be used. The Guest has to register first and can then send the Activity Request. The Task & Activity is assigned to the Manager on Duty who then is responsible to distribute the Task & Activities to responsible employees. Please make sure a Manager on Duty is assigned, if no Manager on Duty is assigned, the Task & Activity is not displayed on the Task & Activity List in Suite8.

Suite8 Kiosk Variables

Field | Variable | Description
 | hotel.AddLanguage("Language name", "Flag Picture for HomePage", "Flag Picture for Kiosk", "Culture"); |
Kiosk URL | hotel.KioskURL = "http://localhost/V8/FidelioIISWrapper.dll/FidelioKiosk.DataHandler"; | The URL for Suite8 KIOSK
Kiosk Bar Code Reader | hotel.KioskBarcodeReaderURL = "http://127.0.0.1:8080/"; | If the URL is defined, the barcode reading functionality is activated and the FidelioWebClientLocalFunctions.exe should be available on this address.
Kiosk URL | hotel.KioskURL = "socket://127.0.0.1:211"; |

Hotel Segment Variables

Field

Variable

Description

Hotel Segments

HotelSegment segment1 = hotel.addSegment("SG1");

segment1.headerName = "Segment 1";

segment1.headerNameLine2 =""; segment1.adressLine1 = " segment1.adressLine2 = "10587 Berlin";Franklinstr 15";

segment1.phone = "Phone of Segment 1";

segment1.fax = "Fax of Segment 1";

segment1.email = "Segment1@@micros.com"; segment1.webSite = "http://www.micros-fidelio.eu/segment1";

The Name of the Hotel Segment

The address line 1 and 2, the phone, fax, Email and Web Site of the Hotel Segment, if different than the main property.

BellaVita Variables

Field | Variable | Description
BellaVita | hotel.BellavitaURL = "http://de-b-vm-bv:9090/bvserver/services/OLBooking"; | This is only used with the Leisure System Bella Vita


Registration Form (Registration.aspx)

In the Registration.aspx a default language and default country code can be added to the registration form used by Front Office & CCM:

Field

Variable

Description

Setting a default language on the registration page

if (cbLanguage.Items[i].Value.Equals("G"))

In the example above the default language code is set to 'G' for German.

To fill the language field on the user registration with a default value, the registration.aspx file has to be edited and the language code has to be entered on the following line:

if (cbLanguage.Items[i].Value.Equals("E"))

Note: The languages are defined in the Suite8 Setup.

Setting a default country code on the registration page

if (cnt.code.Equals("US"))

In the example above the default country code is set to 'US' for USA.

To fill the country field on the user registration with a default value, the registration.aspx file has to be edited and the country code has to be entered on the following line:

if (cnt.code.Equals("US"))

The internal code 1 is taken from the country definition (XCOU_ISO2).

Note: The countries listed are defined in Suite8 Setup.

Web selling categories

hotel.WebSalesCategory = true

Set this parameter to true in the global.asax file to activate Suite8 home page web selling categories. Web selling categories allow the posting of special arrangements on the Suite8 home page. For the customer this is an overview about the special rates offered by a property and for the property web selling categories allow posting special rates to their web booking clients at arrangement, room only or last minute level.

If activated, the first page on Suite8 home page offers a rate category selection with the defined web selling categories.

On the next page, the Showbriefprices.aspx a tab for viewing All rates open for web booking and a tab for each defined web selling category is available. By default the selected rate category tab from the first page is opened.

If the rate category selection should not be available on the first page, the line: hotel.ShowWebSalesCategoryOnFirstPage = false; has to be activated. Then on the Showbriefprices page, the All tab is opened by default

Note: Web Selling categories are defined under Configuration → Miscellaneous → Suite8 Homepage.

Offering alternate dates if the hotel is fully booked

hotel.altSuggestions = 4;

hotel.altSuggestionsDaysToCheck = 14;

If the hotel is fully booked on one of the days of a reservation request via Suite8 home page, the property can offer alternate stay periods for a reservation. The number of days offered as alternate stay period as well as the number of days to check the properties availability for is defined with the following variables:

In this example, if the reservation request is for January 23rd to 26th and the hotel is fully booked on January 24th, the first 4 alternate stay dates are: January 18th to 21st, 19th to22nd, 20th to 23rd and 21st to 24th.

The next 4 alternate stay dates are starting January 25th to 28th, 26th to 29th, 27th to 30th and 28th to 31st.

If the variable hotel.altSuggestionsDaysToCheck is set to 14, the hotel availability is checked for 14 days before and 14 days after the request.


Tracking usage statistics with Google Analytics

Google Analytics is the enterprise-class web analytic solution that gives your property rich insights into the properties web site traffic and marketing effectiveness.

In the global.asax the variable hotel.GoogleAnalyticID must be completed with the tracking code provided by Google for your properties web site; separate codes per hotel segment can be used.

How to obtain a Google tracking code for your web site

  1. Sign up with Google Analytics at http://www.google.com/analytics/ and define the properties web site details.

  2. Follow the wizard steps to define the properties contact information and accept the User Agreement.

  3. On the last step, the wizard presents a tracking code:

  4. This tracking code is the site ID which needs to be entered in to the global.asax file.

  5. The tracking code can be displayed at any time via the main analytic interface:


Confirmation Letters

If the variable: hotel.buildOnlineConfirmation is set to true, the confirmation letter report defined under Global Settings→Interface2 tab→Default Confirmation is built on the server in the defined directory for mailing documents under Global Settings→Miscellaneous→Workstation and send via email to the guest. It is also used when pressing Print button to print the confirmation letter online inside the browser. The default email attachment format, either body only, pdf, rtf or html attachment has to be selected under Global Settings→Interface 2 tab and the mail server has to be configured and started. If no subject is defined on the confirmation letter or the email send as body, the default email subject configured under Configuration→Miscellaneous→Simple Custom Text is used.

Using Confirmation letters with embedded graphics

When configuring confirmation letter templates with embedded graphics, such as logos of the property, the graphics, images or attachments have to be stored in the folder tmp under C:\Inetpub\wwwroot\V8Client\. The folder must have the user right write. When performing a new installation of Suite8 home page via install shield, the folder is created automatically, however, the right for write has to be assigned manually.

Send Confirmation letters in copy and or blind copy

The variable: hotel.CC_ConfirmationEmail = bookings@Suite8.net, defines the copy addressee of the confirmation email, in our example it is set to bookings@Suite8.net. If multiple email addresses are used, each address is separated by a comma.

The variable: hotel.BCC_ConfirmationEmail = "", defines the blind copy addressee of the confirmation email.

Send Confirmation letters via email to hotel only

If the variable: hotel.sendConfirmationToHotelOnly is set to true, the email will be sent using only the copy email address and the blind copy email address, the send to email address is ignored.

Send email confirmation for cancellations

If the variable: hotel.sendCancelationEmail is set to ‘true’ an email confirmation of cancellation is sent to the guests email address. The cancellation letter report is defined under Global Settings → Interface 2 tab → Cancellation Report. The same functionality as for sending confirmation letters is used. Even if this variable is set to 'false', a record is written to the table WMAI.

Note: Please make sure that a default temporary directory is defined in Suite8 Configuration under Global Settings → Miscellaneous → Workstation5 tab. If this is not defined an access violation message occurs.

View Print Layout of Confirmation Letters

If a property would like to open the print layout of the confirmation letter in the new browser window, the following change is required in the confirmation.aspx:

Search for the line: <form action="PrintConfirmation.aspx"

Add one more attribute: target="_blank"

The resulting line then looks as follows:

<form action="PrintConfirmation.aspx" method="post" name="CnfFrm" target="_blank">

Confirmation Letters and Online Payment

A confirmation letter is only created when the online payment process is completed successfully, for example, if the Rate Code is set to pay directly using policies.

Confirmation letters by rate code and Multi Language confirmation letters

If a reservation has a rate code with a linked confirmation letter then this confirmation letter will be used.

On the confirmation letter templates, variables for the text translation have been added to allow printing confirmation letters by language of the guest.

The following report templates are included with the standard demo:

  • 73013 Confirmation Multi Language (ED) - FCR_PMS_73013_CONF_MULTI_WLAN

  • 73012 Webbooking Confirmation Multi Language (ED) - FCR_PMS_73012_CONF_WEBBOOKING.RTF

Shopping Cart Confirmation Letters

A confirmation letter can be printed including all items in the shopping cart.

This requires a confirmation letter with the section role Basket Letter to be created in reports; the confirmation letter must be defined via the option Basket Confirmation Letter in the Suite8 configuration.

On Suite8 Homepage this letter can be printed or sent via email. The individual confirmations per reservation are not sent, however, it is still possible printing an individual confirmation for a reservation from the confirmation page.

Confirmation Letters with link to payment page

A confirmation letter can be created to include a web payment URL for deposit payments

Confirmation Letters can be created to direct the guest via a link to the Payment page on Suite8 Homepage.

Suite8 Homepage can be used as a payment option to pay deposits for reservations and bookings

How to display a confirmation letter with a payment link

Internal Editor - the variable PaymentPage is available under Fields → Standards → Reservation and can be added to a confirmation letter in order to include a payment link within the letter.

Hyperlink(URLText.W8HP_URLTEXT+'/PaymentPage.aspx?ResID='+RES.RESERVATION_ID+'&t='+S8HPAuthToken(RES.RESERVATION_ID), 'Payment page')

The guest can then click on the link to be directed to the payment page

DashBoardElement_Arrivals_Extended.html - Arrivals Extended on the Dashboard

Click [image] C/I and Pay button

  • The confirmation letter to be used for a specific rate code is defined via the option Confirmation Letter on the More tab under Setup → Configuration → Reservations → Rate Management → Rates → Edit Rate.

  • The confirmation letter to be used when checking out the Suite8 Homepage basket is defined via the option Basket Confirmation Letter under Setup → Configuration → Suite8 Homepage → Setup.


Advertisement Ticker

Advertisement text to be displayed on the Suite8 Homepage can be configured via the option Advertisement Ticker under Setup → Configuration → Suite8 Homepage.

see How to configure an advertisement ticker


Available Parameters to open Suite home page

Available Parameters to call Suite home page with

Suite8 Homepage can be called with different parameters entered on the URL address with the advantage to open Suite8 home page for the specific query, such as default the booking into a specific hotel segment or open the Suite8 home page for a specified arrival date, number of nights and number of adults. The parameter segment is described in the section: Using Hotel Segmentation. The following is a list of available parameters with examples:

Example

http://XXXXXXXXXXX/inquiry.aspx?date=10.07.2010&nights=3&adults=2&ChildCA2=2

In this example the query is for July 10th 2010 for 3 nights, 2 Adults and 2 children in the child age category CA2.

Supported mandatory parameters

date - arrival date. Format DD.MM.YYYY

nights - number of nights

adults - number of adults

Supported optional parameters

rooms - number of rooms

rateCode - only the selected rate code is shown

segment – opens available options in the specified segment

childCA2 – queries for the specified child age category, in this example CA2

Child Age categories are optional and coded the following way:

String ’Child’ followed by the Child Age Category short description - for example

ChildCA2=2 queries for 2 children in the child age category CA2

culture - switch the language. The parameter accepts the culture (please refer to the file Global.asax for the supported values). The culture parameter can be used independent without any other parameter

promotion – promotion code

category – Web selling category, opens the page only for rates linked to the entered web selling category


Restricting number of adults, persons and children per child category

The maximum number of adults, persons and child per child age category allowed when reserving a room via the Suite8 Homepage is defined via the configuration. If the variable is set to 2, the message: Number of adults more than allowed (max is 2) is displayed when entering more than 2 adults.

  • The maximum number of adults is defined via the option Maximum Number of Adults under Setup → Configuration → Suite8 Homepage → Setup → Tab 1.

  • The maximum number of persons is defined via the option Maximum Number of Persons under Setup → Configuration → Suite8 Homepage → Setup → Tab 1.

  • The maximum number of children per child category is defined via the option Maximum Number of Children per Child Category under Setup → Configuration → Suite8 Homepage → Setup → Tab 1.

Note: These definitions are also used for Suite8 Kiosk and myStay.


Propose linked rate codes

When the registered profile is linked to a rate code or a corporate id is entered and the company has a rate code linked, this rate code is offered when the user requests an online reservation. If both company and individual have rate codes linked, these rates are displayed in ascending order for selection.


Web Selling Categories

Web selling categories allow posting special arrangements on Fidelio Suite8 home page. For the customer this is an overview about the special rates offered by a property and for the property web selling categories allow posting special rates to their web booking clients at arrangement, room only or last minute level.

Web Selling categories are defined under Configuration → Miscellaneous → Suite8 home page

On Suite8 home page web selling categories are activated with the line:

hotel.WebSalesCategory = true

If activated, the first page on Suite8 home page offers a rate category selection with the defined web selling categories. On the next page, the Showbriefprices.aspx a tab for viewing All rates open for web booking and a tab for each defined web selling category is available. By default the selected rate category tab from the first page is opened. If the rate category selection should not be available on the first page, the line: hotel.ShowWebSalesCategoryOnFirstPage = false; has to be activated. Then on the Showbriefprices page, the All tab is opened by default


Offering alternate dates if the hotel is fully booked

If the hotel is fully booked on one of the days of a reservation request via Suite8 home page, the property can offer alternate stay periods for a reservation. The number of days offered as alternate stay period as well as the number of days to check the properties availability for is defined with the following variables:

hotel.altSuggestions = 4;

hotel.altSuggestionsDaysToCheck = 14;

In this example, if the reservation request is for January 23rd to 26th and the hotel is fully booked on January 24th, the first 4 alternate stay dates are: January 18th to 21st, 19th to22nd, 20th to 23rd and 21st to 24th. The next 4 alternate stay dates are starting January 25th to 28th, 26th to 29th, 27th to 30th and 28th to 31st. If the variable hotel.altSuggestionsDaysToCheck is set to 14, the hotel availability is checked for 14 days before and 14 days after the request.


Adding a default language and country code to the registration form

Default language

To fill the language field on the user registration with a default value, the registration.aspx file has to be edited and the language code has to be entered on the following line, in the example below the language code is ‘E’:

if (cbLanguage.Items[i].Value.Equals("E"))

Default Country Code

To fill the country field on the user registration with a default value, the registration.aspx file has to be edited and the country code has to be entered. The internal code 1 is taken from the country definition (XCOU_ISO2). The following example will use the country code ‘US’:

if (cnt.code.Equals("US"))

Note: The languages and countries listed are defined in Suite8 Setup


NETS Online Payment Gateway Interface

NETS is a company operating in Scandinavia, offering several applications used in the hospitality industry.

NETS online payment requires the following:

  • Configuration of the NETS Online Payment Gateway Interface under Setup → Configuration → Miscellaneous → Global Settings → Misc. Interface 7 tab.

  • In the file Global.asax the following parameter has to be set:

hotel.addOnlinePaymentPlugin("Client.dll", "Client.PaymentPlugins.NETS.NETSPlugin"); //Use this for payments via NETS

The language of the Interface is selected based on the current user language.

The default language is Norwegian, the other supported languages are

//(English)

//(Swedish)

//(Danish)

//(German)

//(Finnish)

//(Russian)

Note: All information about Nets API and examples can be found on: http://www.betalingsterminal.no/Netthandel-forside/Teknisk-veiledning/Overview/


Online Payment

Suite8 home page offers online deposit payments for reservation and voucher payments. Currently only a limited set of online payment providers is supported, such as Telecash, FirstData and PayPal. In order to allow regional offices to create an interface to their local Payment Gateways, the Online Payment Plug-in architecture has been introduced.

Online Payment Interface to PayZen from Lyra Network GmbH requires the following:

  • Configuration of the PayZen Interface under Setup → Configuration → Global Settings → Interfaces → Misc. Interface 6 tab. when selecting.

  • In the file Global.asax the following parameters have to be set:
    hotel.addOnlinePaymentPlugin("Client.dll", "Client.PaymentPlugins.PayZen.PayZenPlugin"); //Use this for payments via PayZen Payment Gateway

PayPal online payment requires the following:

  • Configuration of the PayPal Interface under Setup → Configuration → Miscellaneous → Global Settings → Misc. Interface 6 tab.

  • In the file Global.asax the following parameters have to be set:

hotel.onlinePaymentPluginDLL = "PayPal.dll";

hotel.onlinePaymentPluginClassName = "PayPal.PayPalPlugin";

Telecash requires the following:

  • Configuration of the Telecash Interface under Setup → Configuration → Miscellaneous → Global Settings → Misc. Interface 5 tab.

  • In the file Global.asax the following parameters have to be set:

hotel.onlinePaymentPluginDLL = "Client.dll"

hotel.onlinePaymentPluginClassName = "Client.Telecash.TelecashPlugin";

Plug-in dataflow

The plug-in architecture is developed assuming a dataflow similar to the following PayPal example:

  • The Guest prepares the order (choose vouchers / reservation conditions)

  • On the Review dialog box the button Pay / Submit is pressed

  1. The Payment Plug-in is loaded.

  2. The Payment Plug-in performs the necessary steps before redirecting, such as communication with the payment gateway, sending transaction data, acquiring token

  3. The Payment Plug-in creates the necessary data needed for submitting with the redirect (for example form with hidden fields) and a java script which needs to be executed to perform the redirect.

  4. The Payment gateway returns the control after the transaction.

  5. The Plug-in notifies Suite8 home page about the results of the transaction and passes the control (redirects) back to Suite8 home page.

Plug-in implementation

In order to create a plug-in in, .Net, the class implementing interface IPaymentPlugin should be created:

using System;

using System.Collections.Generic;

using System.Text;

using System.Collections;

namespace V8WebPortalLib

{

public interface IPaymentPlugin

{

/// <summary>

/// getPaymentRedirectStr: The method makes preprocessing before redirect to the

/// online payment page has to be performed and returns a redirect code wich will be

/// used for redirect

/// </summary>

/// <param name="page"></param>

/// <param name="amount">Transaction amount which has to be billed</param>

/// <param name="invoiceNum">invoice number (reservation number)</param>

/// <param name="form"></param>

/// <param name="script"></param>

/// <param name="shoppingItems">List of the items which can be presented on the shopping site. Each item of the ArrayList is ShoppingItem class</param>

/// <returns></returns>

void getPaymentRedirectStr(System.Web.UI.Page page, double amount, string invoiceNum, out string form, out string script, ArrayList shoppingItems);

/// <summary>

/// getPaymentSytemType: The method returns PaymentSystem Type which will be stored in the logs.

/// Currently used values:

/// 1 - Telecash

/// 2 - PayPal

/// </summary>

int getPaymentSytemType();

/// <summary>

/// getPaymentDepartment: The method returns Department code where payments should be posted.

/// </summary>

string getPaymentDepartment();

}

public class ShoppingItem

{

public string description;

public int quantity;

public double price;

}

}

The interface is defined in the assembly V8WebPortalLib.dll which is always located in the bin directory of the deployed virtual directory. In order to perform certain functions, assembly Client.dll is also useful.

  1. Add a reference for the assemblies above.

  2. Add a new class and declare the class as implementing IPaymentPlugin interface.

  3. Methods to implement:

    1. getPaymentSytemType - This method returns PaymentSystem Types stored in the logs.

Currently the following values are used:

      1. Telecash

      2. PayPal

    1. getPaymentDepartment - This method returns department codes on which payments should be posted.

    2. getPaymentRedirectStr – This is the main method which implements the interface with the properties payment gateway. The following Parameters are available:

    page - System.Web.UI.Page – the instance of the calling page (it might be needed to perform the current context (for example: hotel segment, configuration.)

    amount – the transaction amount which has to be billed

    invoiceNum - Invoice number (reservation number)

    form – output parameter, can be used by the developer to return an HTML form with data to be submitted

    script – javascript to submit a data / perform redirection

    shoppingItems - List of the items which can be presented on the shopping site. Each item of the ArrayList is ShoppingItem class.

  4. Implement pages to return from the payment gateway in the event of success and failure.

  5. Make necessary post-processing / response validations.

  6. Needs to be called in the event of ‘success’

OnlinePaymentPostProcess.getHandler().SubmitOnlinePaymentLog(Session.SessionID, text1, text2, null);

and

OnlinePaymentPostProcess.getHandler().DoPostProcessSuccess(Session.SessionID, profile, approval, shorText, longText, Utils.XMLtoDouble(finalPaymentAmount));

  • SubmitOnlinePaymentLog – submits an online payment log to the XML interface

  • DoPostProcessSuccess – makes all neccasary postings, marks reservations / voucheres as paid

At the end, the browser should be redirected back to Suite8 home page. This can be done using the following command:

Response.Redirect(OnlinePaymentPostProcess.getHandler().getRedirectURL(), true);

  7. In case of failure you have to call

OnlinePaymentPostProcess.getHandler().SubmitOnlinePaymentLog(Session.SessionID, shorText, longText, null);

and OnlinePaymentPostProcess.getHandler().DoPostProcessFailure(Session.SessionID);

Configuring Suite8 home page to work with a plug-in

To instruct Suite8 home page to use a developed plug-in, the following steps should be performed:

  1. Copy the assembly with a plug-in in the Suite8 home page virtual directory to the bin folder

  2. In the file global.asax specify the DLL name in the variable: hotel.onlinePaymentPluginDLL (without the path).

  3. In the file global.asax specify the plug-in’s full qualified class name in the variable hotel.onlinePaymentPluginClassName


How to make a field mandatory

In the Registration.aspx there is a section which contains multiple validations. At the end of this section, validations can be added.

How to make the field phone number a mandatory field

Search for the string:

‘ErrorMessage="Missing E-Mail"></asp:requiredfieldvalidator>’ to find the section with the validations.

Add the following line:

<asp:requiredfieldvalidator id="requiredPhone" runat="server"
     Display="Dynamic" ControlToValidate="edPhone"
       ErrorMessage="Phone is missing"></asp:requiredfieldvalidator>

To display the field with the red star * flagging mandatory fields, the following line needs changing as well:

Search for:

<TD class="trBlue"><%=Utils.translate("Phone No")%>&nbsp;</TD>

And change it to:

<TD class="trBlue"><%=Utils.translate("Phone No")%><FONT color="red">*</FONT></TD>

Changes for mandatory fields and error messages in Suite8 Version 8.9.0.0

In previous versions, all the validation errors were shown together on top of the page, since Version 8.9.0.0 the validation error messages are shown separately just under their corresponding fields.

For example if the First name is not entered, the message ‘Missing First name ’ is now shown just underneath the field:’First Name’.

The following example shows the changes for the field: ‘First Name’:

The requiredfieldvalidator is added just below the First Name field:

<label><%=Utils.translate("First
 Name")%><span
 class="obligatory" >*</span></label><asp:textbox
 id="edFirstName" tabIndex="7" runat="server"></asp:textbox><br
 class="clear"/>

<asp:requiredfieldvalidator id="RequiredFieldValidator4"
 runat="server" Display="Dynamic" ControlToValidate="edFirstName"
 ErrorMessage="First Name Missing<br />" CssClass="validator"
 ForeColor=""></asp:requiredfieldvalidator>

<br class="clear"/>

The following example shows the changes for field: ‘Phone’:

Step 1: Add validatator

Search for

<label><%=Utils.translate("Phone No")%></label><asp:textbox id="edPhone" runat="server" tabIndex="20"></asp:textbox><br class="clear"/>

and add the following line under that

<asp:requiredfieldvalidator id="requiredPhone" runat="server"
 Display="Dynamic" ControlToValidate="edPhone" ErrorMessage="Phone
 is Missing" CssClass="validator" ForeColor=""></asp:requiredfieldvalidator>
 <br class="clear"/>

Step 2: Mark the field as mandatory with a star (*)

Change the following line

<label><%=Utils.translate("Phone No")%><span class="obligatory">*</span></label><asp:textbox id="edPhone" runat="server" tabIndex="20"></asp:textbox><br

And to mark the field with a RED Star *

<label><%=Utils.translate("Phone
 No")%><span
 class="obligatory"
 style="color:red">*</span></label><asp:textbox
 id="edPhone" runat="server" tabIndex="20"></asp:textbox><br

This would look as follows:

<label><%=Utils.translate("Phone
 No")%><span
 class="obligatory"
 style="color:red">*</span></label><asp:textbox
 id="edPhone" runat="server" tabIndex="20"></asp:textbox><br
 class="clear"/>

<asp:requiredfieldvalidator id="requiredPhone" runat="server"
 Display="Dynamic" ControlToValidate="edPhone" ErrorMessage="Phone
 is Missing" CssClass="validator" ForeColor=""></asp:requiredfieldvalidator>

<br class="clear"/>


Translation of messages

User defined text and the changing of messages can be performed via the file Translationexception.xml.

The Translationexception.xml file is located in the folder V8Client which is usually located under C:\Inetpub\wwwroot\V8Client.

Variables from the aspx files can be added with the internal translation elements to this XML.

First search for the translation messages/ variables in the aspx files.

Example:

To translate the following string to German:

<data name="CancelQuery" xml:space="preserve">

<value>Do you really want to cancel selected reservation?</value>

This would be entered in the TranslationException.xml as follows:

<fidelio>

<de-DE>

<data name="CancelQuery">Möchten Sie wirklich die ausgewählte Reservierung löschen?</data>

</de-DE>

</fidelio>

Special Characters

If special characters are used for the variables, they must conform to the XML standard, for example:

& = &amp

< = &lt

> = '&gt

" = &quot

Translation of fields from the showbriefprices page

The translation for room type, room description and price message in the file showbriefprices.aspx can be performed by using the following syntax in the Translationexception.xml file:

<fidelio>

<en-GB>

<data name="Room Type">Condo Type</data>

<data name="Room Description">Condominium Description</data>

<data name="PriceMessage">Total for {0} Condo for {1} Adult(s)</data>

</en-GB>

</fidelio>

In the example above the room type, room description and price message are translated on the second page of Suite8 home page Showbriefprice.aspx as follows:

  • The column above the picture of the rooms is translated to Condo Type.

  • The room type description column is translated to Condominium Description.

  • The price column is translated to Total for 1 Condo for 1 Adult(s) if the requested number of rooms and adult was 1.

Translation of fields from the start booking page

Fields in the file StartBooking.aspx, such as lbNoOfAdults or lbNoOfRooms can be translated with the internal elements l_adult and l_rooms.

In the Translationexception.xml file this would look as follows:

<fidelio>

<de-DE>

<data name=" l_adult ">Anzahl Erwachsene</data>

<data name=" l_rooms ">Anzahl Zimmer </data>

</de-DE>

</fidelio>


List of translation elements with internal names

The following is a list of available translation elements:

Translation Elements

<data name="To" xml:space="preserve">

<value>To</value>

</data>

<data name="From" xml:space="preserve">

<value>From</value>

</data>

<data name="NoOfAdults" xml:space="preserve">

<value>Number of Adults</value>

</data>

<data name="Baby" xml:space="preserve">

<value>Baby</value>

</data>

<data name="Room Type" xml:space="preserve">

<value>Room Type</value>

</data>

<data name="Room Description" xml:space="preserve">

<value>Room Description</value>

</data>

<data name="Price" xml:space="preserve">

<value>Price per day</value>

</data>

<data name="BookNow" xml:space="preserve">

<value>Book Now</value>

</data>

<data name="Number of Rooms" xml:space="preserve">

<value>Number of Rooms</value>

</data>

<data name="Search" xml:space="preserve">

<value>Search</value>

</data>

<data name="Switch language" xml:space="preserve">

<value>Switch language</value>

</data>

<data name="Date" xml:space="preserve">

<value>Date</value>

</data>

<data name="Back to the booking process" xml:space="preserve">

<value>Back to the booking process</value>

</data>

<data name="V8HotelReservation" xml:space="preserve">

<value>Suite8 Homepage</value>

</data>

<data name="WebSite" xml:space="preserve">

<value>Web site</value>

</data>

<data name="Request" xml:space="preserve">

<value>Request</value>

</data>

<data name="Period" xml:space="preserve">

<value>Period</value>

</data>

<data name="Space" xml:space="preserve">

<value>Space</value>

</data>

<data name="Persons" xml:space="preserve">

<value>Persons per room</value>

</data>

<data name="NoOfChildren" xml:space="preserve">

<value>No of Children</value>

</data>

<data name="Review your booking" xml:space="preserve">

<value>Review your booking</value>

</data>

<data name="Please confirm license agrremnet" xml:space="preserve">

<value>Please confirm license agreement</value>

</data>

<data name="Total" xml:space="preserve">

<value>Total</value>

</data>

<data name="ReviewAndConfirmBooking" xml:space="preserve">

<value>Review and confirm your booking</value>

</data>

<data name="Confirm the booking" xml:space="preserve">

<value>Confirm the booking</value>

</data>

<data name="AcceptTerms" xml:space="preserve">

<value>By clicking continue, you will be accepting the Terms and Conditions.</value>

</data>

<data name="Confirm" xml:space="preserve">

<value>Confirm</value>

</data>

<data name="Back" xml:space="preserve">

<value>Back</value>

</data>

<data name="ReturnCustomer" xml:space="preserve">

<value>If you are returning customer please log in here</value>

</data>

<data name="NewCustomer" xml:space="preserve">

<value>If you are new customer please register now</value>

</data>

<data name="User Login" xml:space="preserve">

<value>Guest Login</value>

</data>

<data name="Login" xml:space="preserve">

<value>Login</value>

</data>

<data name="New User" xml:space="preserve">

<value>New Guest</value>

</data>

<data name="User Name" xml:space="preserve">

<value>User Name</value>

</data>

<data name="Password" xml:space="preserve">

<value>Password</value>

</data>

<data name="Register" xml:space="preserve">

<value>Register</value>

</data>

<data name="Invalid Username or Password" xml:space="preserve">

<value>Invalid Username or Password</value>

</data>

<data name="User name is missing" xml:space="preserve">

<value>User name is missing</value>

</data>

<data name="Password is missing" xml:space="preserve">

<value>Password is missing</value>

</data>

<data name="Submit registration" xml:space="preserve">

<value>Submit registration</value>

</data>

<data name="Re-type password" xml:space="preserve">

<value>Re-type password</value>

</data>

<data name="Greeting" xml:space="preserve">

<value>Greeting</value>

</data>

<data name="First Name" xml:space="preserve">

<value>First Name</value>

</data>

<data name="Last Name" xml:space="preserve">

<value>Last Name</value>

</data>

<data name="Gender" xml:space="preserve">

<value>Gender</value>

</data>

<data name="Male" xml:space="preserve">

<value>Male</value>

</data>

<data name="Female" xml:space="preserve">

<value>Female</value>

</data>

<data name="Credit Card Type" xml:space="preserve">

<value>Credit Card Type</value>

</data>

<data name="Credit Card Number" xml:space="preserve">

<value>Credit Card Number</value>

</data>

<data name="Cardholder Name" xml:space="preserve">

<value>Cardholder Name</value>

</data>

<data name="Expiry Date" xml:space="preserve">

<value>Expiry Date</value>

</data>

<data name="Country" xml:space="preserve">

<value>Country</value>

</data>

<data name="Zip" xml:space="preserve">

<value>Zip</value>

</data>

<data name="City" xml:space="preserve">

<value>City</value>

</data>

<data name="Street 1" xml:space="preserve">

<value>Street 1</value>

</data>

<data name="Street 2" xml:space="preserve">

<value>Street 2</value>

</data>

<data name="Phone No" xml:space="preserve">

<value>Phone No</value>

</data>

<data name="Username already exists in the system" xml:space="preserve">

<value>Username or email already exists in the system</value>

</data>

<data name="Please re-type the password" xml:space="preserve">

<value>Please re-type the password</value>

</data>

<data name="Passwords are not match" xml:space="preserve">

<value>Passwords are not match</value>

</data>

<data name="First Name Missing" xml:space="preserve">

<value>First Name Missing</value>

</data>

<data name="Last Name Missing" xml:space="preserve">

<value>Last Name Missing</value>

</data>

<data name="Invalid Email" xml:space="preserve">

<value>Invalid Email</value>

</data>

<data name="Credit Curd number is missing" xml:space="preserve">

<value>Credit Card number is missing</value>

</data>

<data name="Invalid Credit Card number" xml:space="preserve">

<value>Invalid Credit Card number</value>

</data>

<data name="Invalid Expiry Date" xml:space="preserve">

<value>Invalid Expiry Date</value>

</data>

<data name="Cardholder name is missing" xml:space="preserve">

<value>Cardholder name is missing</value>

</data>

<data name="Missing E-Mail" xml:space="preserve">

<value>Missing E-Mail</value>

</data>

<data name="Please review your reservation details" xml:space="preserve">

<value>Please review your reservation details</value>

</data>

<data name="Hello" xml:space="preserve">

<value>Hello</value>

</data>

<data name="Change your reservation conditions" xml:space="preserve">

<value>Change your reservation conditions</value>

</data>

<data name="Submit your reservation" xml:space="preserve">

<value>Submit your reservation</value>

</data>

<data name="Submit reservation" xml:space="preserve">

<value>Submit reservation</value>

</data>

<data name="ReservationSubmited" xml:space="preserve">

<value>Your reservation was successfully submitted... Confirmation number </value>

</data>

<data name="adults" xml:space="preserve">

<value>adults</value>

</data>

<data name="Print the Confirmation" xml:space="preserve">

<value>Print the Confirmation</value>

</data>

<data name="Print" xml:space="preserve">

<value>Print</value>

</data>

<data name="ResSent" xml:space="preserve">

<value>Your reservation was successfully submitted. The details will be sent via Email</value>

</data>

<data name="Next" xml:space="preserve">

<value>Next</value>

</data>

<data name="Hostnotavailable" xml:space="preserve">

<value>Online Booking is not available at the moment. You can contact us under: {0}</value>

</data>

<data name="House Status" xml:space="preserve">

<value>House Status</value>

</data>

<data name="Personal data" xml:space="preserve">

<value>Personal data</value>

</data>

<data name="Payment data" xml:space="preserve">

<value>Payment data</value>

</data>

<data name="Address" xml:space="preserve">

<value>Address</value>

</data>

<data name="RoomsNotAvailable" xml:space="preserve">

<value>No rooms are available for the requested period. Please try different days or contact hotel directly on: </value>

</data>

<data name="Booking Data" xml:space="preserve">

<value>Booking Data</value>

</data>

<data name="Booking Name" xml:space="preserve">

<value>Booking Name</value>

</data>

<data name="Status" xml:space="preserve">

<value>Status</value>

</data>

<data name="Description" xml:space="preserve">

<value>Description</value>

</data>

<data name="Booking type" xml:space="preserve">

<value>Booking type</value>

</data>

<data name="No. of attendees" xml:space="preserve">

<value>No. of attendees</value>

</data>

<data name="No. of function space(s)" xml:space="preserve">

<value>No. of function space(s)</value>

</data>

<data name="Package" xml:space="preserve">

<value>Package</value>

</data>

<data name="Seating" xml:space="preserve">

<value>Seating</value>

</data>

<data name="Notes" xml:space="preserve">

<value>Notes</value>

</data>

<data name="Submit booking" xml:space="preserve">

<value>Submit booking</value>

</data>

<data name="BookingSubmited" xml:space="preserve">

<value>Your request was successfully submitted with booking number </value>

</data>

<data name="Missing Booking Name" xml:space="preserve">

<value>Missing Booking Name</value>

</data>

<data name="Missing No. of attendees" xml:space="preserve">

<value>Missing No. of attendees</value>

</data>

<data name="Missing No. of Function Space(s)" xml:space="preserve">

<value>Missing No. of Function Space(s)</value>

</data>

<data name="Missing Status" xml:space="preserve">

<value>Missing Status</value>

</data>

<data name="Conference only" xml:space="preserve">

<value>Conference only</value>

</data>

<data name="Conference &amp; Rooms" xml:space="preserve">

<value>Conference &amp; Rooms</value>

</data>

<data name="Wrong number" xml:space="preserve">

<value>Wrong number</value>

</data>

<data name="Corporate ID" xml:space="preserve">

<value>Corporate ID</value>

</data>

<data name="Invalid Corporate ID" xml:space="preserve">

<value>Invalid Corporate ID</value>

</data>

<data name="Invalid Date(s)" xml:space="preserve">

<value>Invalid Date(s)</value>

</data>

<data name="Terms &amp; Conditions" xml:space="preserve">

<value>Terms &amp; Conditions</value>

</data>

<data name="Accept Terms &amp; Conditions" xml:space="preserve">

<value>I accept the Terms &amp; Conditions</value>

</data>

<data name="Please accept Terms &amp; Conditions" xml:space="preserve">

<value>Please accept Terms &amp; Conditions</value>

</data>

<data name="Wrong number of attendees" xml:space="preserve">

<value>Invalid number of attendees</value>

</data>

<data name="Wrong number of function space(s)" xml:space="preserve">

<value>Invalid number of function space(s)</value>

</data>

<data name="PriceMessage" xml:space="preserve">

<value>Total for {0} room(s) including {1} adult(s) and children</value>

</data>

<data name="Language" xml:space="preserve">

<value>Language</value>

</data>

<data name="AltRatesShown" xml:space="preserve">

<value>The rates for the requested dates have not been found. Please consider alternative options</value>

</data>

<data name="RateDate" xml:space="preserve">

<value>The offer for period from {0} to {1}</value>

</data>

<data name="ChangeProfile" xml:space="preserve">

<value>Change reservation profile</value>

</data>

<data name="Selected profile" xml:space="preserve">

<value>Selected profile</value>

</data>

<data name="LinkToCompany" xml:space="preserve">

<value>Link to the Company</value>

</data>

<data name="ResetPassword" xml:space="preserve">

<value>Forgot your user name and/or password?</value>

</data>

<data name="EnterUsername" xml:space="preserve">

<value>Please enter your username or email</value>

</data>

<data name="PasswordComeSoon" xml:space="preserve">

<value>Soon you will receive your new password per e-mail</value>

</data>

<data name="Request Password" xml:space="preserve">

<value>Request Password</value>

</data>

<data name="Reservations" xml:space="preserve">

<value>Reservations</value>

</data>

<data name="Profile" xml:space="preserve">

<value>Profile</value>

</data>

<data name="ConfirmationN" xml:space="preserve">

<value>Confirmation #</value>

</data>

<data name="ResDetailsDescription" xml:space="preserve">

<value>Below you find details about your future reservations</value>

</data>

<data name="Reservation Details" xml:space="preserve">

<value>Reservation Details</value>

</data>

<data name="CancelQuery" xml:space="preserve">

<value>Do you really want to cancel selected reservation?</value>

</data>

<data name="CreditCardInEditMode" xml:space="preserve">

<value>Please note, that existing credit card details are not shown when editing profile</value>

</data>

<data name="Create a new profile" xml:space="preserve">

<value>Create a new profile</value>

</data>

<data name="Cancel" xml:space="preserve">

<value>Cancel</value>

</data>

<data name="Role" xml:space="preserve">

<value>Role</value>

</data>

<data name="ResHistoryDescription" xml:space="preserve">

<value>Below you find details about your reservation history for the last {0} days</value>

</data>

<data name="Reservation History" xml:space="preserve">

<value>Reservation History</value>

</data>

<data name="Home" xml:space="preserve">

<value>Home</value>

</data>

<data name="LogOff" xml:space="preserve">

<value>LogOff</value>

</data>

<data name="to_l" xml:space="preserve">

<value>to</value>

</data>

<data name="night" xml:space="preserve">

<value>night</value>

</data>

<data name="Nights" xml:space="preserve">

<value>Nights</value>

</data>

<data name="New Reservation" xml:space="preserve">

<value>New Reservation</value>

</data>

<data name="Total price" xml:space="preserve">

<value>Total price for</value>

</data>

<data name="l_room" xml:space="preserve">

<value>{0} room</value>

</data>

<data name="l_rooms" xml:space="preserve">

<value>{0} rooms</value>

</data>

<data name="l_adult" xml:space="preserve">

<value>{0} adult</value>

</data>

<data name="l_adults" xml:space="preserve">

<value>{0} adults</value>

</data>

<data name="l_child" xml:space="preserve">

<value>{0} child</value>

</data>

<data name="l_childs" xml:space="preserve">

<value>{0} children</value>

</data>

<data name="Name" xml:space="preserve">

<value>Name</value>

</data>

<data name="Rhythm" xml:space="preserve">

<value>Rhythm</value>

</data>

<data name="Package Price" xml:space="preserve">

<value>Package Price</value>

</data>

<data name="Packages" xml:space="preserve">

<value>Packages</value>

</data>

<data name="Additional Options" xml:space="preserve">

<value>Additional Options</value>

</data>

<data name="SelectAddOptions" xml:space="preserve">

<value>Select additional options</value>

</data>

<data name="SelectedPackages" xml:space="preserve">

<value>Selected Packages</value>

</data>

<data name="BookingConfirmation" xml:space="preserve">

<value>Booking Confirmation</value>

</data>

<data name="ChooseExtras" xml:space="preserve">

<value>Choose Addons</value>

</data>

<data name="ChooseRoom" xml:space="preserve">

<value>Choose Room</value>

</data>

<data name="EnterTime" xml:space="preserve">

<value>Time Period and Number of Persons</value>

</data>

<data name="LoginRegister" xml:space="preserve">

<value>Login/ Register</value>

</data>

<data name="VerifyBooking" xml:space="preserve">

<value>Verify Booking</value>

</data>

<data name="Departure date should be later than arrival" xml:space="preserve">

<value>Departure date should be later than arrival</value>

</data>

<data name="FromDateInvalidDate" xml:space="preserve">

<value>Start date outside of the allowed period</value>

</data>

<data name="ToDateInvalidDate" xml:space="preserve">

<value>End date outside of the allowed period</value>

</data>

<data name="Nationality" xml:space="preserve">

<value>Nationality</value>

</data>

<data name="NumberOfChildren" xml:space="preserve">

<value>Number Of Children</value>

</data>


Net Language Culture Names

Offering translation to several languages on Suite8 home page

Properties who would like to offer several language translations for their online booking clients can add any .net supported language to the file global.asax.

For example adding the following lines to global.asax:

hotel.AddLanguage("English", "flagge_en.gif", "En-GB");

hotel.AddLanguage("German", "flagge_de.gif", "de-DE");

hotel.AddLanguage("Russian", "flagge_ru.gif", "Ru-RU");

Offer the additional languages English, German and Russian on Fidelio Suite8 home page:

Net Language Culture Names

Culture Name | Language - Country/Region
Af | Afrikaans
af-ZA | Afrikaans - South Africa
Sq | Albanian
sq-AL | Albanian – Albania
Ar | Arabic
ar-DZ | Arabic – Algeria
ar-BH | Arabic – Bahrain
ar-EG | Arabic – Egypt
ar-IQ | Arabic– Iraq
ar-JO | Arabic– Jordan
ar-KW | Arabic– Kuwait
ar-LB | Arabic– Lebanon
ar-LY | Arabic – Libya
ar-MA | Arabic– Morocco
ar-OM | Arabic – Oman
ar-QA | Arabic – Qatar
ar-SA | Arabic - Saudi Arabia
ar-SY | Arabic– Syria
ar-TN | Arabic – Tunisia
ar-AE | Arabic - United Arab Emirates
ar-YE | Arabic – Yemen
Hy | Armenian
hy-AM | Armenian – Armenia
Az | Azeri
az-AZ-Cyrl | Azeri (Cyrillic) – Azerbaijan
az-AZ-Latn | Azeri (Latin) – Azerbaijan
Eu | Basque
eu-ES | Basque – Basque
Be | Belarusian
be-BY | Belarusian – Belarus
Bg | Bulgarian
bg-BG | Bulgarian – Bulgaria
Ca |
ca-ES | Catalan – Catalan
zh-HK | Chinese - Hong Kong SAR
zh-MO Chinese | Chinese - Macau SAR
zh-CN Chinese | Chinese – China
zh-CHS | Chinese (Simplified)
zh-SG | Chinese – Singapore
zh-TW | Chinese – Taiwan
zh-CHT | Chinese (Traditional)
Hr | Croatian
hr-HR | Croatian – Croatia
Cs | Czech
cs-CZ | Czech - Czech Republic
Da | Danish
da-DK | Danish – Denmark
Div | Dhivehi
div-MV | Dhivehi – Maldives
Nl | Dutch
nl-BE | Dutch – Belgium
nl-NL | Dutch - The Netherlands
En | English
en-AU | English – Australia
en-BZ | English – Belize
en-CA | English – Canada
en-CB | English – Caribbean
en-IE | English – Ireland
en-JM | English – Jamaica
en-NZ | English - New Zealand
en-PH | English – Philippines
en-ZA | English - South Africa
en-TT | English - Trinidad and Tobago
en-GB | English - United Kingdom
en-US | English - United States
en-ZW | English – Zimbabwe
Et | Estonian
et-EE | Estonian – Estonia
Fo | Faroese
fo-FO | Faroese - Faroe Islands
Fa | Farsi
fa-IR | Farsi – Iran
Fi | Finnish
fi-FI | Finnish – Finland
Fr | French
fr-BE | French – Belgium
fr-CA | French – Canada
fr-FR | French – France
fr-LU | French – Luxembourg
fr-MC | French – Monaco
fr-CH | French – Switzerland
Gl | Galician
gl-ES | Galician – Galician
Ka | Georgian
ka-GE | Georgian – Georgia
De German | German
de-AT | German – Austria
de-DE | German – Germany
de-LI | German – Liechtenstein
de-LU | German – Luxembourg
de-CH | German – Switzerland
El | Greek
el-GR | Greek – Greece
Gu | Gujarati
gu-IN | Gujarati – India
He | Hebrew
he-IL | Hebrew – Israel
Hi | Hindi
hi-IN | Hindi – India
Hu | Hungarian
hu-HU | Hungarian – Hungary
Is | Icelandic
is-IS | Icelandic – Iceland
Id | Indonesian
id-ID | Indonesian – Indonesia
It | Italian
it-IT | Italian – Italy
it-CH | Italian – Switzerland
Ja | Japanese
ja-JP | Japanese – Japan
Kn | Kannada
kn-IN | Kannada – India
Kk | Kazakh
kk-KZ | Kazakh – Kazakhstan
Kok | Konkani
kok-IN | Konkani – India
Ko | Korean
ko-KR | Korean – Korea
Ky | Kyrgyz
ky-KZ | Kyrgyz – Kazakhstan
Lv | Latvian
lv-LV | Latvian – Latvia
Lt | Lithuanian
lt-LT | Lithuanian – Lithuania
Mk | Macedonian
mk-MK | Macedonian – FYROM
Ms | Malay
ms-BN Malay | Malay – Brunei
ms-MY Malay | Malay – Malaysia
Mr | Marathi
mr-IN Marathi | Marathi – India
Mn | Mongolian
mn-MN Mongolian | Mongolian – Mongolia
No | Norwegian
nb-NO | Norwegian (Bokmål) – Norway
nn-NO | Norwegian (Nynorsk) – Norway
Pl | Polish
pl-PL | Polish – Poland
Pt | Portuguese
pt-BR | Portuguese – Brazil
pt-PT | Portuguese – Portugal
Pa | Punjabi
pa-IN | Punjabi – India
Ro | Romanian
ro-RO | Romanian – Romania
Ru | Russian
ru-RU | Russian – Russia
Sa | Sanskrit
sa-IN | Sanskrit – India
sr-SP-Cyrl | Serbian (Cyrillic) – Serbia
sr-SP-Latn | Serbian (Latin) – Serbia
Sk | Slovak
sk-SK | Slovak – Slovakia
Sl | Slovenian
sl-SI | Slovenian – Slovenia
Es | Spanish
es-AR | Spanish – Argentina
es-BO | Spanish – Bolivia
es-CL | Spanish – Chile
es-CO | Spanish – Colombia
es-CR | Spanish - Costa Rica
es-DO | Spanish - Dominican Republic
es-EC | Spanish – Ecuador
es-SV | Spanish - El Salvador
es-GT | Spanish – Guatemala
es-HN | Spanish – Honduras
es-MX | Spanish – Mexico
es-NI | Spanish – Nicaragua
es-PA | Spanish – Panama
es-PY | Spanish – Paraguay
es-PE | Spanish – Peru
es-PR | Spanish - Puerto Rico
es-ES | Spanish – Spain
es-UY | Spanish – Uruguay
es-VE | Spanish – Venezuela
Sw | Swahili
sw-KE | Swahili – Kenya
Sv | Swedish
sv-FI | Swedish – Finland
sv-SE | Swedish – Sweden
Syr | Syriac
syr-SY | Syriac – Syria
Ta | Tamil
ta-IN | Tamil – India
Tt | Tatar
tt-RU | Tatar – Russia
Te | Telugu
te-IN | Telugu – India
Th | Thai
th-TH | Thai – Thailand
Tr | Turkish
tr-TR | Turkish – Turkey
Uk | Ukrainian
uk-UA Ukrainian | Ukrainian – Ukraine
Ur | Urdu
ur-PK | Urdu – Pakistan
Uz | Uzbek
uz-UZ-Cyrl | Uzbek (Cyrillic) – Uzbekistan
uz-UZ-Latn | Uzbek (Latin) – Uzbekistan
Vi | Vietnamese
vi-VN | Vietnamese – Vietnam


Tips & Tricks

Error Messages and Support Tips

Error Messages

Error Message | Reason | Solution
PMS responded with an error. Access denied. Query result exceeds allowed amount of lines | This error may be displayed when registering a new guest and is related to the XML Interface configuration. | In the Suite8 configuration set the option Maximum selected records to '0' under Setup → Configuration → Miscellaneous → Global Settings → Misc. Interface 3 tab → XML Interface.
Not possible to start IIS | Most likely related to the program Skype. If Skype is installed before IIS, Skype is listening by default to port 80 which makes it impossible to start IIS. | Change the Skype configuration by opening Skype; selecting Tools → Options → Set connection parameters and proxies and removing the selection for the option: Use port 80 and 443 as alternative for incoming connections.

Support Tips

Support Tip

Action

Support for the XML Interface Server on Windows 2003

Using Windows Server 2003 requires the following action:

  1. Open Administrative tools → Internet Information Services (IIS) Manger

  2. Select Web Service Extension.

  3. Select Allow all unknown ISAPI extensions from the right mouse short cut menu.


Quick Link - How to access my account

  1. Open the Suite8 Homepage on the browser, for example, on a localhost connection the address would be: http://localhost/V8Client/inquiry.aspx

The menu options are displayed at the top of the screen.

  2. Click My account to display the Login screen.

  3. Enter your User Name or Email and Password.

  4. Click Login; your name is now displayed on the menu bar.

  5. Click My Account.